function y=stopacqG(u);

global vitesse_rotation vitesse_angul_mini angle_max_acqf

% Cette fonction retourne une sortie 1 ou 0

%	1 si les vitesses angulaires passent chacune sousle seuil acceptable pour le mode fin
%       tant entendu que q convergevers la rotation orbitale
%       et si tous les angles sont infrieurs  0.1 rd, on peut alors passer en mode fin
%	0 si une des vitesses angulaires est au dessus du seuil acceptable pour le mode fin

% La valeur 0 arrtera la rgulation, elle est commandable directement dans la simulation

% u est la variable d'entre  7 composantes
%       u(1:3) celle des vitesses angulaires absolues p q r en rd/s
%       u(4:7) le quaternion d'attitudeduquel on peut tirer les angles

% -----------------------  TEST VITESSES ANGULAIRES  -------------------------
p=u(1);
q=u(2);
r=u(3);

ecartq=q-vitesse_rotation;

X=[abs(p) abs(ecartq) abs(r)];

ecart_max=max(X);

if ecart_max<=vitesse_angul_mini

    y1=1;

else

    y1=0;

end

% -----------------------TEST ANGULAIRE--------------

P_V=pqrQ_V_P(u);

roulis=P_V(1);
tangage=P_V(2);
lacet=P_V(3);

Y=[abs(roulis) abs(tangage) abs(lacet)];

ecart_max=max(Y);

if ecart_max<=angle_max_acqf

    y2=1;

else

    y2=0;

end

y=y1*y2;


end   %   Fin programme