function [ret,x0,str,ts,xts]=xxx_GP(t,x,u,flag);
%XXX_GP	is the M-file description of the SIMULINK system named XXX_GP.
%	The block-diagram can be displayed by typing: XXX_GP.
%
%	SYS=XXX_GP(T,X,U,FLAG) returns depending on FLAG certain
%	system values given time point, T, current state vector, X,
%	and input vector, U.
%	FLAG is used to indicate the type of output to be returned in SYS.
%
%	Setting FLAG=1 causes XXX_GP to return state derivatives, FLAG=2
%	discrete states, FLAG=3 system outputs and FLAG=4 next sample
%	time. For more information and other options see SFUNC.
%
%	Calling XXX_GP with a FLAG of zero:
%	[SIZES]=XXX_GP([],[],[],0),  returns a vector, SIZES, which
%	contains the sizes of the state vector and other parameters.
%		SIZES(1) number of states
%		SIZES(2) number of discrete states
%		SIZES(3) number of outputs
%		SIZES(4) number of inputs
%		SIZES(5) number of roots (currently unsupported)
%		SIZES(6) direct feedthrough flag
%		SIZES(7) number of sample times
%
%	For the definition of other parameters in SIZES, see SFUNC.
%	See also, TRIM, LINMOD, LINSIM, EULER, RK23, RK45, ADAMS, GEAR.

% Note: This M-file is only used for saving graphical information;
%       after the model is loaded into memory an internal model
%       representation is used.

% the system will take on the name of this mfile:
sys = mfilename;
new_system(sys)
simver(1.3)
if (0 == (nargin + nargout))
     set_param(sys,'Location',[9,62,1262,966])
     open_system(sys)
end;
set_param(sys,'algorithm',     'Linear')
set_param(sys,'Start time',    '4700')
set_param(sys,'Stop time',     '4700+0.6')
set_param(sys,'Min step size', '0.2')
set_param(sys,'Max step size', '0.4')
set_param(sys,'Relative error','1e-4')
set_param(sys,'Return vars',   '')
set_param(sys,'Nonreal-time algorithm','')

add_block('built-in/Note',[sys,'/','4'])
set_param([sys,'/','4'],...
		'position',[530,410,535,415])

add_block('built-in/Note',[sys,'/','3'])
set_param([sys,'/','3'],...
		'position',[535,270,540,275])


%     Subsystem  'UnNamed2'.

new_system([sys,'/','UnNamed2'])
set_param([sys,'/','UnNamed2'],'Location',[588,239,931,333])

add_block('built-in/Note',[sys,'/',['UnNamed2/Drive du quaternion d''attitude']])
set_param([sys,'/',['UnNamed2/Drive du quaternion d''attitude']],...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',14,...
		'position',[185,5,190,10])

add_block('built-in/Outport',[sys,'/','UnNamed2/Outport'])
set_param([sys,'/','UnNamed2/Outport'],...
		'position',[260,45,280,65])

add_block('built-in/Inport',[sys,'/','UnNamed2/Inport'])
set_param([sys,'/','UnNamed2/Inport'],...
		'position',[80,45,100,65])

add_block('built-in/MATLAB Fcn',[sys,'/','UnNamed2/deriv_qt.m'])
set_param([sys,'/','UnNamed2/deriv_qt.m'],...
		'MATLAB Fcn','deriv_qt(u)',...
		'Output Width','4',...
		'position',[150,39,220,71])
add_line([sys,'/','UnNamed2'],[225,55;255,55])
add_line([sys,'/','UnNamed2'],[105,55;145,55])
set_param([sys,'/','UnNamed2'],...
		'Mask Display','F(X , t)\n\nPOUR LE QUATERNION')


%     Finished composite block 'UnNamed2'.

set_param([sys,'/','UnNamed2'],...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Size',14,...
		'position',[140,383,355,487])

add_block('built-in/Note',[sys,'/','Drive quaternion (4)'])
set_param([sys,'/','Drive quaternion (4)'],...
		'position',[430,435,435,440])


%     Subsystem  'UnNamed1'.

new_system([sys,'/','UnNamed1'])
set_param([sys,'/','UnNamed1'],'Location',[4,106,1267,1003])

add_block('built-in/Note',[sys,'/','UnNamed1/F(X,t) POUR LA DERIVEE DE LA ROTATION ABSOLUE'])
set_param([sys,'/','UnNamed1/F(X,t) POUR LA DERIVEE DE LA ROTATION ABSOLUE'],...
		'ForeGround',3,...
		'Font Name','Arial',...
		'Font Size',24,...
		'position',[655,15,660,20])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/To Workspace3'])
set_param([sys,'/','UnNamed1/To Workspace3'],...
		'BackGround',7,...
		'hide name',0,...
		'mat-name','Cz',...
		'buffer','points_trace',...
		'position',[890,577,940,593])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/To Workspace2'])
set_param([sys,'/','UnNamed1/To Workspace2'],...
		'BackGround',7,...
		'hide name',0,...
		'mat-name','Cy',...
		'buffer','points_trace',...
		'position',[890,542,940,558])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/To Workspace1'])
set_param([sys,'/','UnNamed1/To Workspace1'],...
		'BackGround',7,...
		'hide name',0,...
		'mat-name','Cx',...
		'buffer','points_trace',...
		'position',[890,507,940,523])

add_block('built-in/Note',[sys,'/','UnNamed1/Q'])
set_param([sys,'/','UnNamed1/Q'],...
		'position',[215,310,220,315])

add_block('built-in/Demux',[sys,'/','UnNamed1/Demux'])
set_param([sys,'/','UnNamed1/Demux'],...
		'outputs','[3 4]',...
		'position',[155,238,200,347])

add_block('built-in/Note',[sys,'/',['UnNamed1/Vecteur d''tat ',13,'7 composantes',13,'p q r Q']])
set_param([sys,'/',['UnNamed1/Vecteur d''tat ',13,'7 composantes',13,'p q r Q']],...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',14,...
		'position',[75,210,80,215])

add_block('built-in/Note',[sys,'/','UnNamed1/pqr'])
set_param([sys,'/','UnNamed1/pqr'],...
		'position',[240,235,245,240])

add_block('built-in/MATLAB Fcn',[sys,'/','UnNamed1/magneto.m1'])
set_param([sys,'/','UnNamed1/magneto.m1'],...
		'hide name',0,...
		'MATLAB Fcn','derivrot(u)',...
		'Output Width','3',...
		'Mask Display','DERIVROT(u)',...
		'position',[300,236,435,294])

add_block('built-in/Gain',[sys,'/','UnNamed1/Gain1'])
set_param([sys,'/','UnNamed1/Gain1'],...
		'position',[1090,442,1115,468])

add_block('built-in/Outport',[sys,'/','UnNamed1/out_1'])
set_param([sys,'/','UnNamed1/out_1'],...
		'position',[1155,445,1175,465])

add_block('built-in/Note',[sys,'/',['UnNamed1/Second membre',13,'des quations du TMC',13,'concernant le vecteur rotation',13,'seul (p q r )']])
set_param([sys,'/',['UnNamed1/Second membre',13,'des quations du TMC',13,'concernant le vecteur rotation',13,'seul (p q r )']],...
		'Font Name','Arial',...
		'Font Size',12,...
		'position',[1155,350,1160,355])

add_block('built-in/Note',[sys,'/',['UnNamed1/Suppression possible',13,'de tous les couples']])
set_param([sys,'/',['UnNamed1/Suppression possible',13,'de tous les couples']],...
		'position',[955,355,960,360])

add_block('built-in/Note',[sys,'/',['UnNamed1/Sorties des commande en',13,'axes satellite x y z']])
set_param([sys,'/',['UnNamed1/Sorties des commande en',13,'axes satellite x y z']],...
		'position',[915,470,920,475])

add_block('built-in/Gain',[sys,'/','UnNamed1/Gain2'])
set_param([sys,'/','UnNamed1/Gain2'],...
		'hide name',0,...
		'position',[635,457,660,483])

add_block('built-in/Note',[sys,'/',['UnNamed1/Somme des couples',13,'externes']])
set_param([sys,'/',['UnNamed1/Somme des couples',13,'externes']],...
		'position',[745,290,750,295])

add_block('built-in/Inport',[sys,'/','UnNamed1/Inport'])
set_param([sys,'/','UnNamed1/Inport'],...
		'position',[45,285,65,305])

add_block('built-in/Sum',[sys,'/','UnNamed1/Sum1'])
set_param([sys,'/','UnNamed1/Sum1'],...
		'hide name',0,...
		'position',[1025,222,1050,678])

add_block('built-in/Gain',[sys,'/','UnNamed1/Gain4'])
set_param([sys,'/','UnNamed1/Gain4'],...
		'hide name',0,...
		'position',[945,422,970,448])

add_block('built-in/State-Space',[sys,'/',['UnNamed1/Matrix Gain applique',13,'aux couples externes']])
set_param([sys,'/',['UnNamed1/Matrix Gain applique',13,'aux couples externes']],...
		'hide name',0,...
		'A','[]',...
		'B','[]',...
		'C','[]',...
		'D','inv(Asat)',...
		'Mask Display','Inv(Asat)',...
		'Mask Type','Matrix Gain')
set_param([sys,'/',['UnNamed1/Matrix Gain applique',13,'aux couples externes']],...
		'Mask Help','Multiplies input vector by entered matrix to produce output vector (y=Au).',...
		'position',[815,407,915,453])

add_block('built-in/Gain',[sys,'/','UnNamed1/Gain7'])
set_param([sys,'/','UnNamed1/Gain7'],...
		'hide name',0,...
		'position',[420,562,445,588])

add_block('built-in/Mux',[sys,'/','UnNamed1/Mux'])
set_param([sys,'/','UnNamed1/Mux'],...
		'inputs','[1 7]',...
		'position',[640,520,675,640])

add_block('built-in/Demux',[sys,'/','UnNamed1/Demux1'])
set_param([sys,'/','UnNamed1/Demux1'],...
		'outputs','3',...
		'position',[750,515,795,625])


%     Subsystem  'UnNamed1/Subsystem'.

new_system([sys,'/','UnNamed1/Subsystem'])
set_param([sys,'/','UnNamed1/Subsystem'],'Location',[303,541,1155,841])

add_block('built-in/Gain',[sys,'/',['UnNamed1/Subsystem/Inversion',13,'signe',13,'(action//roue)',13,'']])
set_param([sys,'/',['UnNamed1/Subsystem/Inversion',13,'signe',13,'(action//roue)',13,'']],...
		'Gain','-1',...
		'position',[115,122,145,148])

add_block('built-in/Gain',[sys,'/','UnNamed1/Subsystem/Gain3'])
set_param([sys,'/','UnNamed1/Subsystem/Gain3'],...
		'Gain','30/pi',...
		'position',[445,118,470,152])

add_block('built-in/Integrator',[sys,'/','UnNamed1/Subsystem/Integrator2'])
set_param([sys,'/','UnNamed1/Subsystem/Integrator2'],...
		'BackGround',7,...
		'Initial','rotation_initiale*0',...
		'position',[325,113,370,157])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/Subsystem/To Workspace6'])
set_param([sys,'/','UnNamed1/Subsystem/To Workspace6'],...
		'BackGround',7,...
		'hide name',0,...
		'Font Size',14,...
		'mat-name','vitesseroue',...
		'buffer','points_trace',...
		'position',[455,179,600,211])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/Subsystem/To Workspace5'])
set_param([sys,'/','UnNamed1/Subsystem/To Workspace5'],...
		'BackGround',7,...
		'hide name',0,...
		'Font Size',14,...
		'mat-name','vit_roue',...
		'buffer','points_trace',...
		'position',[515,120,595,150])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem/Vitesse roue ',13,'en rd//s']])
set_param([sys,'/',['UnNamed1/Subsystem/Vitesse roue ',13,'en rd//s']],...
		'position',[520,210,525,215])

add_block('built-in/Gain',[sys,'/','UnNamed1/Subsystem/Gain5'])
set_param([sys,'/','UnNamed1/Subsystem/Gain5'],...
		'BackGround',7,...
		'Gain','1/jroue',...
		'position',[240,115,275,155])

add_block('built-in/Inport',[sys,'/','UnNamed1/Subsystem/in_1'])
set_param([sys,'/','UnNamed1/Subsystem/in_1'],...
		'position',[20,125,40,145])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem/Vitesse roue',13,'en tours//mn']])
set_param([sys,'/',['UnNamed1/Subsystem/Vitesse roue',13,'en tours//mn']],...
		'position',[490,70,495,75])

add_block('built-in/Outport',[sys,'/','UnNamed1/Subsystem/out_1'])
set_param([sys,'/','UnNamed1/Subsystem/out_1'],...
		'position',[670,230,690,250])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem/Vitesse de',13,'la roue']])
set_param([sys,'/',['UnNamed1/Subsystem/Vitesse de',13,'la roue']],...
		'position',[730,220,735,225])
add_line([sys,'/','UnNamed1/Subsystem'],[475,135;510,135])
add_line([sys,'/','UnNamed1/Subsystem'],[150,135;235,135])
add_line([sys,'/','UnNamed1/Subsystem'],[45,135;110,135])
add_line([sys,'/','UnNamed1/Subsystem'],[280,135;320,135])
add_line([sys,'/','UnNamed1/Subsystem'],[375,135;440,135])
add_line([sys,'/','UnNamed1/Subsystem'],[395,135;395,195;450,195])
add_line([sys,'/','UnNamed1/Subsystem'],[395,195;395,240;665,240])
set_param([sys,'/','UnNamed1/Subsystem'],...
		'Mask Display','EVOLUTION DE LA\nVITESSE DE LA ROUE')


%     Finished composite block 'UnNamed1/Subsystem'.

set_param([sys,'/','UnNamed1/Subsystem'],...
		'ForeGround',2,...
		'BackGround',7,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'position',[460,504,605,566])


%     Subsystem  'UnNamed1/Subsystem4'.

new_system([sys,'/','UnNamed1/Subsystem4'])
set_param([sys,'/','UnNamed1/Subsystem4'],'Location',[69,310,1019,760])

add_block('built-in/Derivative',[sys,'/','UnNamed1/Subsystem4/Derivative'])
set_param([sys,'/','UnNamed1/Subsystem4/Derivative'],...
		'position',[235,91,295,139])

add_block('built-in/Mux',[sys,'/','UnNamed1/Subsystem4/Mux'])
set_param([sys,'/','UnNamed1/Subsystem4/Mux'],...
		'inputs','[3 3]',...
		'position',[325,85,360,200])


%     Subsystem  'UnNamed1/Subsystem4/Subsystem3'.

new_system([sys,'/','UnNamed1/Subsystem4/Subsystem3'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3'],'Location',[4,129,1267,1003])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/REGULATION 2 MAGNECOUPLEURS ROULIS LACET + 1 ROUE TANGAGE'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/REGULATION 2 MAGNECOUPLEURS ROULIS LACET + 1 ROUE TANGAGE'],...
		'ForeGround',3,...
		'Font Name','@Arial Unicode MS',...
		'Font Weight','bold',...
		'Font Size',20)
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/REGULATION 2 MAGNECOUPLEURS ROULIS LACET + 1 ROUE TANGAGE'],...
		'position',[660,35,665,40])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Sortie du couple total',13,'+',13,'Sortie du couple roue unidimensionnel']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Sortie du couple total',13,'+',13,'Sortie du couple roue unidimensionnel']],...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',20,...
		'position',[605,80,610,85])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Cx Cy Cz'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Cx Cy Cz'],...
		'position',[420,515,425,520])

add_block('built-in/Demux',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Demux5'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Demux5'],...
		'hide name',0,...
		'outputs','3',...
		'position',[440,354,480,456])

add_block('built-in/Constant',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Constant2'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Constant2'],...
		'hide name',0,...
		'Value','0',...
		'position',[965,610,985,630])

add_block('built-in/MATLAB Fcn',[sys,'/','UnNamed1/Subsystem4/Subsystem3/MATLAB Fcn'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/MATLAB Fcn'],...
		'MATLAB Fcn','saturmm(u)',...
		'Output Width','3',...
		'position',[725,323,785,357])

add_block('built-in/Demux',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Demux2'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Demux2'],...
		'hide name',0,...
		'outputs','3',...
		'position',[805,301,845,379])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/COUPLE ROUE',13,'DIMENSION 1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/COUPLE ROUE',13,'DIMENSION 1']],...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',16,...
		'position',[1000,675,1005,680])

add_block('built-in/Outport',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Outport1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Outport1'],...
		'Port','2',...
		'position',[1180,660,1200,680])

add_block('built-in/Outport',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Outport'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Outport'],...
		'position',[1165,470,1185,490])

add_block('built-in/Sum',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Sum'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Sum'],...
		'position',[1105,394,1130,561])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Moment cr par',13,'magntocoupleurs']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Moment cr par',13,'magntocoupleurs']],...
		'Font Name','Arial',...
		'Font Size',12,...
		'position',[1030,315,1035,320])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/Subsystem4/Subsystem3/To Workspace7'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/To Workspace7'],...
		'orientation',2,...
		'BackGround',7,...
		'hide name',0,...
		'Font Size',14,...
		'mat-name','couple_roue',...
		'buffer','points_trace')
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/To Workspace7'],...
		'position',[720,559,825,591])

add_block('built-in/Constant',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Constant1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Constant1'],...
		'hide name',0,...
		'Value','0',...
		'position',[945,520,965,540])

add_block('built-in/Mux',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Mux3'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Mux3'],...
		'hide name',0,...
		'inputs','3',...
		'position',[1015,507,1045,643])

add_block('built-in/MATLAB Fcn',[sys,'/','UnNamed1/Subsystem4/Subsystem3/MATLAB Fcn1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/MATLAB Fcn1'],...
		'MATLAB Fcn','prodvect(u)',...
		'Output Width','3',...
		'position',[1020,418,1080,452])

add_block('built-in/Mux',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Mux2'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Mux2'],...
		'hide name',0,...
		'inputs','[3 3]',...
		'position',[970,365,1000,500])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/Subsystem4/Subsystem3/To Workspace'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/To Workspace'],...
		'BackGround',7,...
		'hide name',0,...
		'mat-name','mz',...
		'buffer','points_trace',...
		'position',[905,383,950,397])

add_block('built-in/Gain',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Gain'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Gain'],...
		'Gain','-1',...
		'position',[515,357,540,383])

add_block('built-in/Fcn',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Fcn'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Fcn'],...
		'Expr','1/(u+0.1)',...
		'position',[510,275,550,295])


%     Subsystem  ['UnNamed1/Subsystem4/Subsystem3/Inner',13,'Product'].

new_system([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Inner',13,'Product']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Inner',13,'Product']],'Location',[33,479,253,634])

add_block('built-in/Product',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Inner',13,'Product/Product']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Inner',13,'Product/Product']],...
		'position',[65,55,90,75])

add_block('built-in/Sum',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Inner',13,'Product/Sum']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Inner',13,'Product/Sum']],...
		'inputs','+',...
		'position',[125,55,145,75])

add_block('built-in/Outport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Inner',13,'Product/out_1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Inner',13,'Product/out_1']],...
		'position',[185,55,205,75])

add_block('built-in/Inport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Inner',13,'Product/in_2']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Inner',13,'Product/in_2']],...
		'Port','2',...
		'position',[15,90,35,110])

add_block('built-in/Inport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Inner',13,'Product/in_1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Inner',13,'Product/in_1']],...
		'position',[15,25,35,45])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Inner',13,'Product']],[40,100;60,70])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Inner',13,'Product']],[40,35;60,60])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Inner',13,'Product']],[95,65;120,65])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Inner',13,'Product']],[150,65;180,65])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Inner',13,'Product']],...
		'Mask Display','.\n',...
		'Mask Type','Dot Product',...
		'Mask Dialogue','Inner (dot) product.\ny=sum(u1.*u2)')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Inner',13,'Product']],...
		'Mask Help','Computes the inner (dot) product of the inputs: sum(u1.*u2).  The inputs are vectors of the same length. Output is a scalar.')


%     Finished composite block ['UnNamed1/Subsystem4/Subsystem3/Inner',13,'Product'].

set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Inner',13,'Product']],...
		'position',[450,479,475,526])

add_block('built-in/Product',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Product2'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Product2'],...
		'position',[615,477,645,513])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/mz'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/mz'],...
		'position',[625,335,630,340])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Cr'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Cr'],...
		'position',[625,450,630,455])

add_block('built-in/Product',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Product'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Product'],...
		'position',[610,277,640,313])

add_block('built-in/Product',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Product1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Product1'],...
		'position',[610,362,640,398])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Moments magntiques',13,'des bobines']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Moments magntiques',13,'des bobines']],...
		'position',[755,230,760,235])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Limiteur de',13,'moments magntiques',13,'et de couple roue']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Limiteur de',13,'moments magntiques',13,'et de couple roue']],...
		'position',[800,400,805,405])

add_block('built-in/Constant',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Constant'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Constant'],...
		'hide name',0,...
		'Value','0',...
		'position',[845,285,865,305])

add_block('built-in/Mux',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Mux1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Mux1'],...
		'hide name',0,...
		'inputs','3',...
		'position',[905,228,935,362])

add_block('built-in/MATLAB Fcn',[sys,'/','UnNamed1/Subsystem4/Subsystem3/MATLAB Fcn2'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/MATLAB Fcn2'],...
		'MATLAB Fcn','CpidToCm(u)',...
		'Output Width','3',...
		'position',[325,323,385,357])


%     Subsystem  'UnNamed1/Subsystem4/Subsystem3/Subsystem'.

new_system([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],'Location',[122,222,1232,1126])

add_block('built-in/Mux',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Mux1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Mux1'],...
		'inputs','3',...
		'position',[225,459,265,541])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Entre des angles',13,'roulis et lacet']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Entre des angles',13,'roulis et lacet']],...
		'Font Name','@Arial Unicode MS',...
		'Font Weight','bold',...
		'Font Size',16,...
		'position',[390,175,395,180])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Vitesses',13,'inutiles']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Vitesses',13,'inutiles']],...
		'position',[190,210,195,215])

add_block('built-in/Inport',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/in_1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/in_1'],...
		'position',[40,265,60,285])

add_block('built-in/Gain',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Gain'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Gain'],...
		'hide name',0,...
		'position',[735,238,760,262])

add_block('built-in/Demux',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Demux'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Demux'],...
		'hide name',0,...
		'outputs','2',...
		'position',[500,223,535,332])

add_block('built-in/Sum',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Sum1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Sum1'],...
		'hide name',0,...
		'inputs','+-',...
		'position',[445,240,475,315])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Roulis',13,'lacet']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Roulis',13,'lacet']],...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',14,...
		'position',[585,215,590,220])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Tangage'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Tangage'],...
		'position',[165,270,170,275])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Roulis'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Roulis'],...
		'position',[255,240,260,245])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Lacet'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Lacet'],...
		'position',[250,325,255,330])

add_block('built-in/Demux',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Demux4'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Demux4'],...
		'outputs','[3 1 1 1]',...
		'position',[90,195,135,355])

add_block('built-in/Mux',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Mux'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Mux'],...
		'inputs','2',...
		'position',[235,214,280,376])


%     Subsystem  'UnNamed1/Subsystem4/Subsystem3/Subsystem/UnNamed4'.

new_system([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/UnNamed4'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/UnNamed4'],'Location',[31,157,323,338])

add_block('built-in/Mux',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/UnNamed4/Mux'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/UnNamed4/Mux'],...
		'inputs','2',...
		'position',[175,57,205,133])

add_block('built-in/Outport',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/UnNamed4/out_1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/UnNamed4/out_1'],...
		'position',[240,85,260,105])

add_block('built-in/Constant',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/UnNamed4/Constant3'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/UnNamed4/Constant3'],...
		'hide name',0,...
		'Value','consigne_lacet',...
		'position',[25,104,130,126])

add_block('built-in/Constant',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/UnNamed4/Constant1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/UnNamed4/Constant1'],...
		'hide name',0,...
		'Value','consigne_roulis',...
		'position',[25,62,135,88])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/UnNamed4'],[140,75;170,75])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/UnNamed4'],[135,115;170,115])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/UnNamed4'],[210,95;235,95])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/UnNamed4'],...
		'Mask Display','Consigne\nroulis(1) lacet(2)')


%     Finished composite block 'UnNamed1/Subsystem4/Subsystem3/Subsystem/UnNamed4'.

set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/UnNamed4'],...
		'hide name',0,...
		'position',[325,242,420,278])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Sortie roulis(1)',13,'lacet(2)']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Sortie roulis(1)',13,'lacet(2)']],...
		'position',[370,300,375,305])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Consigne-Angles'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Consigne-Angles'],...
		'ForeGround',2,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',14,...
		'position',[370,330,375,335])

add_block('built-in/Mux',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Mux3'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Mux3'],...
		'hide name',0,...
		'inputs','3',...
		'position',[850,308,880,412])

add_block('built-in/Gain',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Gain4'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Gain4'],...
		'hide name',0,...
		'position',[730,373,755,397])

add_block('built-in/Sum',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Sum2'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Sum2'],...
		'hide name',0,...
		'inputs','+-',...
		'position',[500,350,530,425])

add_block('built-in/Constant',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Constant'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Constant'],...
		'hide name',0,...
		'Value','consigne_tangage',...
		'position',[330,360,440,380])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/CALCUL DES COUPLES DE COMMANDE PID ',13,'SUR LES AXES SQPECIFIQUES DE MESURE DES ANGLES',13,'( Signe - de rappel  incorpor )']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/CALCUL DES COUPLES DE COMMANDE PID ',13,'SUR LES AXES SQPECIFIQUES DE MESURE DES ANGLES',13,'( Signe - de rappel  incorpor )']],...
		'ForeGround',3,...
		'Font Name','Arial')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/CALCUL DES COUPLES DE COMMANDE PID ',13,'SUR LES AXES SQPECIFIQUES DE MESURE DES ANGLES',13,'( Signe - de rappel  incorpor )']],...
		'Font Weight','bold',...
		'Font Size',20)
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/CALCUL DES COUPLES DE COMMANDE PID ',13,'SUR LES AXES SQPECIFIQUES DE MESURE DES ANGLES',13,'( Signe - de rappel  incorpor )']],...
		'position',[515,30,520,35])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/To Workspace1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/To Workspace1'],...
		'BackGround',7,...
		'hide name',0,...
		'mat-name','cpl_phi',...
		'buffer','points_trace',...
		'position',[815,242,865,258])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/To Workspace3'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/To Workspace3'],...
		'BackGround',7,...
		'hide name',0,...
		'mat-name','cpl_psi',...
		'buffer','points_trace',...
		'position',[835,417,885,433])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/To Workspace2'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/To Workspace2'],...
		'BackGround',7,...
		'hide name',0,...
		'mat-name','cpl_teta',...
		'buffer','points_trace',...
		'position',[835,442,885,458])


%     Subsystem  ['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1'].

new_system([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1']],'Location',[195,367,1041,836])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Equateur au temps 0 s']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Equateur au temps 0 s']],...
		'position',[215,30,220,35])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Vecteur d''tat ',13,'( 3 composantes)']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Vecteur d''tat ',13,'( 3 composantes)']],...
		'position',[60,160,65,165])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Angles']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Angles']],...
		'position',[105,135,110,140])

add_block('built-in/Inport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/in_1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/in_1']],...
		'position',[45,115,65,135])


%     Subsystem  ['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1'].

new_system([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],'Location',[27,258,1102,698])

add_block('built-in/Inport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/in_2']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/in_2']],...
		'position',[120,160,140,180])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Vecteur',13,'d''tat',13,'(angles)']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Vecteur',13,'d''tat',13,'(angles)']],...
		'position',[273,165,278,170])

add_block('built-in/MATLAB Fcn',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/MATLAB Fcn3']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/MATLAB Fcn3']],...
		'hide name',0,...
		'MATLAB Fcn','champmgn(u)',...
		'Output Width','3')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/MATLAB Fcn3']],...
		'Mask Display','CHAMP MAGNETIQUE\nREPERE ORBITAL')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/MATLAB Fcn3']],...
		'position',[180,85,355,135])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Temps']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Temps']],...
		'position',[85,65,90,70])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Champ magntique',13,'terrestre',13,'(repre orbital)']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Champ magntique',13,'terrestre',13,'(repre orbital)']],...
		'position',[305,25,310,30])

add_block('built-in/MATLAB Fcn',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/MATLAB Fcn1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/MATLAB Fcn1']],...
		'hide name',0,...
		'MATLAB Fcn','u(1:3)''*u(4:6)',...
		'Output Width','1')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/MATLAB Fcn1']],...
		'position',[590,234,665,266])

add_block('built-in/MATLAB Fcn',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/MATLAB Fcn']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/MATLAB Fcn']],...
		'hide name',0,...
		'MATLAB Fcn','u(1:3)''*u(4:6)',...
		'Output Width','1')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/MATLAB Fcn']],...
		'position',[600,104,665,136])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Angles']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Angles']],...
		'position',[439,145,444,150])

add_block('built-in/Mux',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Mux2']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Mux2']],...
		'hide name',0,...
		'inputs','[3 3]',...
		'position',[540,344,570,391])

add_block('built-in/State-Space',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Matrix gain.3']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Matrix gain.3']],...
		'hide name',0,...
		'A','[]',...
		'B','[]',...
		'C','[]',...
		'D','K')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Matrix gain.3']],...
		'Mask Display','Axe z',...
		'Mask Type','Matrix gain')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Matrix gain.3']],...
		'Mask Dialogue','Matrix Gain:|Gain matrix:',...
		'Mask Translate','K = @1;')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Matrix gain.3']],...
		'Mask Help','Multiplies input vector by entered matrix to produce output vector.')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Matrix gain.3']],...
		'Mask Entries','[0 -1 0 ;1 0 0 ;0 0 0]\/',...
		'position',[415,338,470,372])

add_block('built-in/MATLAB Fcn',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/MATLAB Fcn2']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/MATLAB Fcn2']],...
		'hide name',0,...
		'MATLAB Fcn','u(1:3)''*u(4:6)',...
		'Output Width','1')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/MATLAB Fcn2']],...
		'position',[615,349,675,391])

add_block('built-in/Sum',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Sum2']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Sum2']],...
		'hide name',0,...
		'position',[755,339,790,381])

add_block('built-in/Sum',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Sum1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Sum1']],...
		'hide name',0,...
		'position',[755,220,770,260])

add_block('built-in/Mux',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Mux1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Mux1']],...
		'hide name',0,...
		'inputs','[3 3]',...
		'position',[535,230,565,265])

add_block('built-in/State-Space',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Matrix gain.2']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Matrix gain.2']],...
		'hide name',0,...
		'A','[]',...
		'B','[]',...
		'C','[]',...
		'D','K')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Matrix gain.2']],...
		'Mask Display','Axe y',...
		'Mask Type','Matrix gain')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Matrix gain.2']],...
		'Mask Dialogue','Matrix Gain:|Gain matrix:',...
		'Mask Translate','K = @1;')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Matrix gain.2']],...
		'Mask Help','Multiplies input vector by entered matrix to produce output vector.')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Matrix gain.2']],...
		'Mask Entries','[0 0 1;0 0 0;-1 0 0]\/',...
		'position',[415,223,470,257])

add_block('built-in/Sum',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Sum']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Sum']],...
		'hide name',0,...
		'position',[755,95,775,130])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/BX']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/BX']],...
		'position',[740,75,745,80])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/BY']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/BY']],...
		'position',[730,205,735,210])

add_block('built-in/Mux',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Mux3']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Mux3']],...
		'hide name',0,...
		'inputs','3',...
		'position',[820,220,865,260])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/By']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/By']],...
		'position',[784,215,789,220])

add_block('built-in/Mux',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Mux']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Mux']],...
		'hide name',0,...
		'inputs','[3 3]',...
		'position',[535,100,565,135])

add_block('built-in/Demux',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Demux']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Demux']],...
		'outputs','3',...
		'position',[520,44,580,76])

add_block('built-in/State-Space',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Matrix gain.']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Matrix gain.']],...
		'hide name',0,...
		'A','[]',...
		'B','[]',...
		'C','[]',...
		'D','K')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Matrix gain.']],...
		'Mask Display','Axe x',...
		'Mask Type','Matrix gain')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Matrix gain.']],...
		'Mask Dialogue','Matrix Gain:|Gain matrix:',...
		'Mask Translate','K = @1;')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Matrix gain.']],...
		'Mask Help','Multiplies input vector by entered matrix to produce output vector.')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Matrix gain.']],...
		'Mask Entries','[0 0 0;0 0 -1;0 1 0]\/',...
		'position',[415,93,470,127])

add_block('built-in/Outport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/out_1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/out_1']],...
		'position',[965,230,985,250])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Champ magntique',13,'terrestre',13,'(repre satellite)']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Champ magntique',13,'terrestre',13,'(repre satellite)']],...
		'position',[910,170,915,175])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/BZ']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/BZ']],...
		'position',[715,325,720,330])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Bz']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Bz']],...
		'position',[804,290,809,295])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Bx']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Bx']],...
		'position',[804,170,809,175])

add_block('built-in/Clock',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Clock']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Clock']],...
		'position',[35,100,55,120])

add_block('built-in/Outport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/out_2']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/out_2']],...
		'Port','2',...
		'position',[960,405,980,425])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Sortie du temps simulation']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1/Sortie du temps simulation']],...
		'position',[960,375,965,380])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[60,110;175,110])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[870,240;960,240])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[570,120;595,120])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[475,110;530,110])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[670,120;750,120])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[670,250;750,250])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[475,240;530,240])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[570,250;585,250])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[575,370;610,370])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[475,355;535,355])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[680,370;750,370])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[145,170;510,170;510,125;530,125])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[510,170;510,380;535,380])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[510,255;530,255])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[360,110;410,110])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[380,110;380,355;410,355])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[380,240;410,240])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[775,240;815,240])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[380,110;380,60;515,60])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[585,70;690,70;690,350;750,350])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[585,60;705,60;705,230;750,230])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[585,50;720,50;720,105;750,105])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[780,115;795,115;795,225;815,225])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[795,360;795,255;815,255])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],[75,110;75,415;955,415])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],...
		'Mask Display','Calcul du champ\nmagntique terrestre\n(repre satellite)')


%     Finished composite block ['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1'].

set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Calcul champ magntique',13,'terrestre1']],...
		'BackGround',7,...
		'hide name',0,...
		'position',[160,86,285,164])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Drive non',13,'utilise']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Drive non',13,'utilise']],...
		'position',[510,140,515,145])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Sortie champ magntique rel',13,'utilis pour le calcul des moments',13,'magntiques']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Sortie champ magntique rel',13,'utilis pour le calcul des moments',13,'magntiques']],...
		'position',[675,260,680,265])


%     Subsystem  ['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1'].

new_system([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],'Location',[-32000,-32000,-31840,-31969])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Champ rel',13,'axes satellite']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Champ rel',13,'axes satellite']],...
		'position',[1010,110,1015,115])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Champ rel satellite']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Champ rel satellite']],...
		'position',[550,195,555,200])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Champ rel',13,'  ou',13,'puls']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Champ rel',13,'  ou',13,'puls']],...
		'position',[945,190,950,195])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Drive relle ou mesure',13,'non lisse']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Drive relle ou mesure',13,'non lisse']],...
		'position',[990,490,995,495])

add_block('built-in/Outport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/out_3']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/out_3']],...
		'Port','3',...
		'position',[930,535,950,555])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Drive pulse non lisse']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Drive pulse non lisse']],...
		'position',[605,585,610,590])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Drive relle']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Drive relle']],...
		'position',[655,505,660,510])

add_block('built-in/Gain',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Gain6']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Gain6']],...
		'hide name',0,...
		'Gain','pulse',...
		'position',[715,485,850,525])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Drive B']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Drive B']],...
		'position',[485,420,490,425])

add_block('built-in/Sum',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Sum3']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Sum3']],...
		'hide name',0,...
		'position',[875,464,895,626])

add_block('built-in/Inport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/in_2']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/in_2']],...
		'Port','2',...
		'position',[120,470,140,490])

add_block('built-in/Outport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/out_1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/out_1']],...
		'position',[925,120,945,140])

add_block('built-in/Inport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/in_1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/in_1']],...
		'position',[125,350,145,370])

add_block('built-in/Sum',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Sum']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Sum']],...
		'hide name',0,...
		'position',[625,294,650,481])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Calcul t-nT']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Calcul t-nT']],...
		'hide name',0,...
		'position',[395,545,400,550])

add_block('built-in/Product',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Product']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Product']],...
		'position',[520,387,545,483])


%     Subsystem  ['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE'].

new_system([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE']],'Location',[115,469,1014,1003])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/MESURE ECHANTILLONEE DU CHAMP',13,'SUR LA PERIODE N, AU TEMPS to+Ta//2']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/MESURE ECHANTILLONEE DU CHAMP',13,'SUR LA PERIODE N, AU TEMPS to+Ta//2']],...
		'ForeGround',3,...
		'Font Name','Arial')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/MESURE ECHANTILLONEE DU CHAMP',13,'SUR LA PERIODE N, AU TEMPS to+Ta//2']],...
		'Font Weight','bold')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/MESURE ECHANTILLONEE DU CHAMP',13,'SUR LA PERIODE N, AU TEMPS to+Ta//2']],...
		'Font Size',14)
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/MESURE ECHANTILLONEE DU CHAMP',13,'SUR LA PERIODE N, AU TEMPS to+Ta//2']],...
		'position',[360,5,365,10])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/t-nT']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/t-nT']],...
		'position',[930,355,935,360])

add_block('built-in/To Workspace',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/To Workspace4']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/To Workspace4']],...
		'mat-name','temps',...
		'buffer','20000',...
		'position',[140,412,190,428])

add_block('built-in/Clock',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Clock2']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Clock2']],...
		'hide name',0,...
		'position',[45,330,85,370])


%     Subsystem  ['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem'].

new_system([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem']],'Location',[125,659,765,904])

add_block('built-in/Inport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem/in_1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem/in_1']],...
		'position',[245,115,265,135])

add_block('built-in/Outport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem/out_1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem/out_1']],...
		'position',[525,105,545,125])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem/Calcul t-nT1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem/Calcul t-nT1']],...
		'hide name',0,...
		'position',[460,206,465,211])

add_block('built-in/Constant',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem/Constant4']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem/Constant4']],...
		'hide name',0,...
		'Value','instant_injection',...
		'position',[165,154,270,176])

add_block('built-in/Sum',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem/Sum4']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem/Sum4']],...
		'hide name',0,...
		'inputs','+-',...
		'position',[295,107,320,183])

add_block('built-in/MATLAB Fcn',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem/Partie entire ',13,'de (t-tinj)T',13,' X par T2']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem/Partie entire ',13,'de (t-tinj)T',13,' X par T2']],...
		'MATLAB Fcn','fix(u/T)*T',...
		'Output Width','1')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem/Partie entire ',13,'de (t-tinj)T',13,' X par T2']],...
		'position',[365,128,425,162])

add_block('built-in/Sum',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem/Sum1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem/Sum1']],...
		'hide name',0,...
		'inputs','+-',...
		'position',[475,54,495,176])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem/Le temps courant de la simulation',13,'commence  l''instant d''injection ']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem/Le temps courant de la simulation',13,'commence  l''instant d''injection ']],...
		'Font Name','Arial')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem/Le temps courant de la simulation',13,'commence  l''instant d''injection ']],...
		'position',[175,70,180,75])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem']],[270,125;290,125])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem']],[500,115;520,115])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem']],[430,145;470,145])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem']],[275,165;290,165])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem']],[325,145;360,145])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem']],[345,145;345,85;470,85])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem']],...
		'Mask Display','Mise en place\ndes priodes')


%     Finished composite block ['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem'].

set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Subsystem']],...
		'hide name',0,...
		'position',[115,326,255,374])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Temps courant',13,'de la simulation']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Temps courant',13,'de la simulation']],...
		'position',[75,280,80,285])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Sortie de to = t -tinj - nT']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Sortie de to = t -tinj - nT']],...
		'position',[585,385,590,390])

add_block('built-in/Constant',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Constant1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Constant1']],...
		'hide name',0,...
		'Value','Ta/2',...
		'position',[305,279,340,301])

add_block('built-in/Relational Operator',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Relational',13,'Operator']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Relational',13,'Operator']],...
		'hide name',0,...
		'position',[375,258,400,382])

add_block('built-in/To Workspace',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/To Workspace3']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/To Workspace3']],...
		'mat-name','champ1',...
		'buffer','20000',...
		'position',[610,272,660,288])

add_block('built-in/Outport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/out_2']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/out_2']],...
		'Port','3',...
		'position',[615,420,635,440])

add_block('built-in/MATLAB Fcn',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Partie',13,'entire n1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Partie',13,'entire n1']],...
		'hide name',0,...
		'MATLAB Fcn','storcham(u)',...
		'Output Width','3')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Partie',13,'entire n1']],...
		'position',[505,213,565,247])

add_block('built-in/Mux',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Mux1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Mux1']],...
		'inputs','[3 1]',...
		'position',[445,211,475,244])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Entre du champ en axes satellite ',13,' l''instant t de la simulation',13,'']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Entre du champ en axes satellite ',13,' l''instant t de la simulation',13,'']],...
		'position',[215,200,220,205])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/t - tinj- nT']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/t - tinj- nT']],...
		'position',[335,350,340,355])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Sortie champ B chapeau']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Sortie champ B chapeau']],...
		'position',[620,180,625,185])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Calcul t-nT']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Calcul t-nT']],...
		'hide name',0,...
		'position',[265,430,270,435])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Entre de B(t) //xyz ']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/Entre de B(t) //xyz ']],...
		'position',[115,180,120,185])

add_block('built-in/Inport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/in_1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/in_1']],...
		'position',[65,210,85,230])

add_block('built-in/Outport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/out_3']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/out_3']],...
		'position',[615,100,635,120])

add_block('built-in/Outport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/out_1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE/out_1']],...
		'Port','2',...
		'position',[615,220,635,240])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE']],[260,350;285,350;285,430;610,430])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE']],[285,350;370,350])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE']],[90,220;440,220])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE']],[480,230;500,230])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE']],[570,230;610,230])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE']],[405,320;430,320;440,235])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE']],[590,230;590,280;605,280])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE']],[345,290;370,290])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE']],[90,350;110,350])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE']],[90,350;90,420;135,420])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE']],[390,220;390,110;610,110])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE']],...
		'Mask Display','CHAMP MESURE\n\n periode n')


%     Finished composite block ['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE'].

set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MESURE']],...
		'position',[285,325,420,395])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/derb_chapeau']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/derb_chapeau']],...
		'position',[520,495,525,500])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/t -tinj - nT']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/t -tinj - nT']],...
		'position',[485,385,490,390])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/B(n)']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/B(n)']],...
		'position',[520,335,525,340])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Champ magntique',13,'terrestre',13,'(repre satellite)']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Champ magntique',13,'terrestre',13,'(repre satellite)']],...
		'position',[115,280,120,285])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Temps']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Temps']],...
		'position',[115,445,120,450])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Champ  liss']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Champ  liss']],...
		'position',[765,335,770,340])

add_block('built-in/Gain',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Gain3']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Gain3']],...
		'hide name',0,...
		'Gain','pulse',...
		'position',[690,200,825,240])

add_block('built-in/Gain',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Gain4']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Gain4']],...
		'hide name',0,...
		'Gain','1-pulse',...
		'position',[705,285,840,325])

add_block('built-in/Sum',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Sum2']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Sum2']],...
		'hide name',0,...
		'position',[870,179,890,341])

add_block('built-in/Outport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/out_2']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/out_2']],...
		'Port','2',...
		'position',[940,250,960,270])

add_block('built-in/Gain',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Gain5']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Gain5']],...
		'hide name',0,...
		'Gain','1-pulse',...
		'position',[710,565,845,605])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Quand pulse=0 ce sont les conditions relles qui sont utilises']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Quand pulse=0 ce sont les conditions relles qui sont utilises']],...
		'ForeGround',3,...
		'Font Weight','bold')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Quand pulse=0 ce sont les conditions relles qui sont utilises']],...
		'Font Size',14,...
		'position',[415,665,420,670])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Quand pulse =1, ce sont les valeurs mesures qui sont utilises']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Quand pulse =1, ce sont les valeurs mesures qui sont utilises']],...
		'ForeGround',3,...
		'Font Weight','bold')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Quand pulse =1, ce sont les valeurs mesures qui sont utilises']],...
		'Font Size',14,...
		'position',[415,640,420,645])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MAGNETIQUE REEL OU PULSE ',13,'( AU CHOIX SUIVANT pul_datP ou pul_datNP )']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MAGNETIQUE REEL OU PULSE ',13,'( AU CHOIX SUIVANT pul_datP ou pul_datNP )']],...
		'ForeGround',3,...
		'Font Name','Arial')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MAGNETIQUE REEL OU PULSE ',13,'( AU CHOIX SUIVANT pul_datP ou pul_datNP )']],...
		'Font Weight','bold',...
		'Font Size',20)
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/CHAMP MAGNETIQUE REEL OU PULSE ',13,'( AU CHOIX SUIVANT pul_datP ou pul_datNP )']],...
		'position',[590,5,595,10])

add_block('built-in/To Workspace',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/To Workspace5']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/To Workspace5']],...
		'hide name',0,...
		'mat-name','champ_pulse',...
		'buffer','20000',...
		'position',[800,373,920,407])


%     Subsystem  ['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE'].

new_system([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE']],'Location',[4,50,853,441])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/derb_chapeau est la valeur constante conserve aprs la mesure',13,'']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/derb_chapeau est la valeur constante conserve aprs la mesure',13,'']],...
		'ForeGround',3)
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/derb_chapeau est la valeur constante conserve aprs la mesure',13,'']],...
		'Font Weight','bold')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/derb_chapeau est la valeur constante conserve aprs la mesure',13,'']],...
		'Font Size',12)
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/derb_chapeau est la valeur constante conserve aprs la mesure',13,'']],...
		'position',[420,45,425,50])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/derb_lin est la valeur linarise conserve aprs la mesure']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/derb_lin est la valeur linarise conserve aprs la mesure']],...
		'ForeGround',3,...
		'Font Name','Arial')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/derb_lin est la valeur linarise conserve aprs la mesure']],...
		'Font Weight','bold',...
		'Font Size',12)
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/derb_lin est la valeur linarise conserve aprs la mesure']],...
		'position',[405,75,410,80])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/MESURE ECHANTILLONEE DE LA DERIVEE DU CHAMP',13,'SUR LA PERIODE N, AU TEMPS to+Ta']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/MESURE ECHANTILLONEE DE LA DERIVEE DU CHAMP',13,'SUR LA PERIODE N, AU TEMPS to+Ta']],...
		'ForeGround',3)
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/MESURE ECHANTILLONEE DE LA DERIVEE DU CHAMP',13,'SUR LA PERIODE N, AU TEMPS to+Ta']],...
		'Font Name','Arial')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/MESURE ECHANTILLONEE DE LA DERIVEE DU CHAMP',13,'SUR LA PERIODE N, AU TEMPS to+Ta']],...
		'Font Weight','bold')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/MESURE ECHANTILLONEE DE LA DERIVEE DU CHAMP',13,'SUR LA PERIODE N, AU TEMPS to+Ta']],...
		'Font Size',14)
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/MESURE ECHANTILLONEE DE LA DERIVEE DU CHAMP',13,'SUR LA PERIODE N, AU TEMPS to+Ta']],...
		'position',[425,0,430,5])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Entre de dB//dt //xyz ']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Entre de dB//dt //xyz ']],...
		'position',[355,115,360,120])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Sortie B_prime']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Sortie B_prime']],...
		'position',[550,175,555,180])

add_block('built-in/Mux',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Mux1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Mux1']],...
		'inputs','[3 1]',...
		'position',[455,206,485,239])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/t--tinj -nT']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/t--tinj -nT']],...
		'position',[335,235,340,240])

add_block('built-in/Relational Operator',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Relational',13,'Operator']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Relational',13,'Operator']],...
		'hide name',0,...
		'position',[375,168,400,292])

add_block('built-in/Constant',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Constant1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Constant1']],...
		'hide name',0,...
		'Value','Ta/2',...
		'position',[325,189,360,211])

add_block('built-in/To Workspace',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/To Workspace5']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/To Workspace5']],...
		'hide name',0,...
		'mat-name','derb_chapeau',...
		'buffer','20000')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/To Workspace5']],...
		'position',[630,268,750,302])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/t-tinj -nT<=Ta']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/t-tinj -nT<=Ta']],...
		'position',[390,290,395,295])

add_block('built-in/Inport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/in_1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/in_1']],...
		'position',[105,135,125,155])

add_block('built-in/MATLAB Fcn',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Partie',13,'entire n1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Partie',13,'entire n1']],...
		'hide name',0,...
		'MATLAB Fcn','storderB(u)',...
		'Output Width','3')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Partie',13,'entire n1']],...
		'position',[515,208,575,242])

add_block('built-in/To File',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/To File']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/To File']],...
		'File name','derbchap.mat',...
		'Matrix name','derb_chapeau',...
		'position',[635,134,730,166])

add_block('built-in/Outport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/out_1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/out_1']],...
		'position',[715,215,735,235])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Sortie de t-tinj-nT']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Sortie de t-tinj-nT']],...
		'position',[395,310,400,315])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/B(n)']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/B(n)']],...
		'position',[620,196,625,201])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/derb_chapeau']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/derb_chapeau']],...
		'position',[785,211,790,216])

add_block('built-in/To Workspace',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/To Workspace7']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/To Workspace7']],...
		'hide name',0,...
		'mat-name','der_seconde',...
		'buffer','20000')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/To Workspace7']],...
		'position',[705,568,825,602])


%     Subsystem  ['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem'].

new_system([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem']],'Location',[125,1114771,765,1115016])

add_block('built-in/Inport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem/in_1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem/in_1']],...
		'position',[245,115,265,135])

add_block('built-in/Outport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem/out_1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem/out_1']],...
		'position',[525,105,545,125])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem/Calcul t-nT1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem/Calcul t-nT1']],...
		'hide name',0,...
		'position',[460,206,465,211])

add_block('built-in/Constant',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem/Constant4']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem/Constant4']],...
		'hide name',0,...
		'Value','instant_injection',...
		'position',[165,154,270,176])

add_block('built-in/Sum',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem/Sum4']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem/Sum4']],...
		'hide name',0,...
		'inputs','+-',...
		'position',[295,107,320,183])

add_block('built-in/MATLAB Fcn',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem/Partie entire ',13,'de (t-tinj)T',13,' X par T2']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem/Partie entire ',13,'de (t-tinj)T',13,' X par T2']],...
		'MATLAB Fcn','fix(u/T)*T')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem/Partie entire ',13,'de (t-tinj)T',13,' X par T2']],...
		'Output Width','1')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem/Partie entire ',13,'de (t-tinj)T',13,' X par T2']],...
		'position',[365,128,425,162])

add_block('built-in/Sum',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem/Sum1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem/Sum1']],...
		'hide name',0,...
		'inputs','+-',...
		'position',[475,54,495,176])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem/Le temps courant de la simulation',13,'commence  l''instant d''injection ']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem/Le temps courant de la simulation',13,'commence  l''instant d''injection ']],...
		'Font Name','Arial')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem/Le temps courant de la simulation',13,'commence  l''instant d''injection ']],...
		'position',[175,70,180,75])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem']],[270,125;290,125])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem']],[500,115;520,115])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem']],[430,145;470,145])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem']],[275,165;290,165])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem']],[325,145;360,145])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem']],[345,145;345,85;470,85])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem']],...
		'Mask Display','Mise en place\ndes priodes')


%     Finished composite block ['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem'].

set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Subsystem']],...
		'hide name',0,...
		'position',[155,236,295,284])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Temps courant',13,'de la simulation']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/Temps courant',13,'de la simulation']],...
		'position',[70,295,75,300])

add_block('built-in/Inport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/in_2']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE/in_2']],...
		'Port','2',...
		'position',[95,250,115,270])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE']],[300,260;370,260])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE']],[130,145;430,145;430,215;450,215])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE']],[365,200;370,200])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE']],[405,230;450,230])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE']],[490,225;510,225])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE']],[580,225;710,225])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE']],[595,225;595,285;625,285])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE']],[595,225;595,150;630,150])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE']],[120,260;150,260])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE']],...
		'Mask Display','DERIVEE DE B\n\nMESUREE\n\nPERIODE n')


%     Finished composite block ['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE'].

set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/DERIVEE MESUREE']],...
		'position',[290,415,425,495])

add_block('built-in/Derivative',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Drive de',13,'B relle']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1/Drive de',13,'B relle']],...
		'position',[195,417,250,453])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],[150,360;280,360])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],[260,360;175,360;175,435;190,435])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],[425,360;565,360;565,340;620,340])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],[425,385;440,385;440,410;515,410])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],[430,455;515,460])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],[655,390;795,390])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],[550,435;620,435])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],[255,435;285,435])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],[460,457;460,585;705,585])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],[425,335;450,335;450,220;685,220])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],[670,390;670,305;700,305])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],[830,220;865,220])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],[845,305;865,300])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],[895,260;935,260])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],[640,220;640,130;920,130])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],[855,505;870,505])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],[850,585;870,585])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],[900,545;925,545])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],[145,480;165,480;165,475;285,475])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],[255,435;255,505;710,505])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],...
		'Mask Display','Champ rel\n&\nchamp mesur')
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],...
		'Mask Help','Entre 1= champ satellite, entre 2=temps, sortie 1= champ satellite, sortie2= champ liss, sortie 3 = drive non lisse')


%     Finished composite block ['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1'].

set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Subsystem1']],...
		'hide name',0,...
		'position',[330,86,455,164])

add_block('built-in/Outport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/out_1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/out_1']],...
		'position',[680,110,715,140])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Champ mesur liss']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Champ mesur liss']],...
		'position',[610,95,615,100])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/ou rel']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/ou rel']],...
		'position',[615,125,620,130])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Sortie Bx By Bz']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/Sortie Bx By Bz']],...
		'position',[690,155,695,160])

add_block('built-in/Outport',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/out_2']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1/out_2']],...
		'Port','2',...
		'position',[685,210,720,240])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1']],[70,125;155,125])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1']],[290,105;325,105])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1']],[290,145;325,145])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1']],[460,125;675,125])
add_line([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1']],[460,100;555,100;555,225;680,225])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1']],...
		'Mask Display','CHAMP MAGNETIQUE EN\nAXES SATELLITE\nEntre=vecteur d''tat\nSortie Bx By Bz')


%     Finished composite block ['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1'].

set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique',13,'en axes satellite1']],...
		'position',[365,460,565,535])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique rel'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ magntique rel'],...
		'position',[815,650,820,655])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Sortie des angles',13,'pour la suite']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Sortie des angles',13,'pour la suite']],...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',14,...
		'position',[800,545,805,550])

add_block('built-in/Outport',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/out_1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/out_1'],...
		'position',[1000,470,1020,490])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ B puls axes satellite'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/Champ B puls axes satellite'],...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',14,...
		'position',[825,480,830,485])

add_block('built-in/Outport',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/out_2'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/out_2'],...
		'Port','2',...
		'position',[1005,580,1025,600])

add_block('built-in/Outport',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/out_4'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/out_4'],...
		'Port','4',...
		'position',[1005,640,1025,660])

add_block('built-in/Outport',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/out_3'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/out_3'],...
		'Port','3',...
		'position',[985,350,1005,370])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Calcul des couples ',13,'de commandes ',13,'Cphi Cteta Cpsi']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/Calcul des couples ',13,'de commandes ',13,'Cphi Cteta Cpsi']],...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',14,...
		'position',[980,255,985,260])


%     Subsystem  'UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage'.

new_system([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage'],'Location',[68,593,677,948])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage/Ecart teta_ref - teta'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage/Ecart teta_ref - teta'],...
		'position',[70,40,75,45])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage/Rappel proportionnel'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage/Rappel proportionnel'],...
		'position',[190,95,195,100])

add_block('built-in/Gain',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage/gain 0 ou 1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage/gain 0 ou 1'],...
		'Gain','0',...
		'position',[255,207,285,233])

add_block('built-in/Gain',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage/Gain'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage/Gain'],...
		'BackGround',7,...
		'hide name',0,...
		'Gain','K_PID_TANGAGE',...
		'position',[160,61,235,99])

add_block('built-in/Inport',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage/in_1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage/in_1'],...
		'position',[55,70,75,90])

add_block('built-in/Derivative',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage/Derivative'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage/Derivative'],...
		'position',[155,130,200,170])

add_block('built-in/Sum',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage/Sum'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage/Sum'],...
		'BackGround',7,...
		'hide name',0,...
		'inputs','+++',...
		'position',[325,42,355,258])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage/ROUE'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage/ROUE'],...
		'hide name',0,...
		'position',[239,75,244,80])

add_block('built-in/Gain',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage/Gain1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage/Gain1'],...
		'BackGround',7,...
		'hide name',0,...
		'Gain','F_PID_TANGAGE',...
		'position',[235,129,290,171])

add_block('built-in/Gain',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage/Gain2'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage/Gain2'],...
		'BackGround',7,...
		'hide name',0,...
		'Gain','gain_tangage',...
		'position',[375,129,430,171])

add_block('built-in/Outport',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage/commande_pid'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage/commande_pid'],...
		'position',[555,140,575,160])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage'],[290,220;320,220])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage'],[295,150;320,150])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage'],[205,150;230,150])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage'],[240,80;320,80])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage'],[80,80;155,80])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage'],[110,80;110,220;150,220;230,220;250,220])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage'],[110,150;150,150])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage'],[360,150;370,150])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage'],[435,150;450,150;520,150;550,150])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage'],...
		'Mask Display','P.I.D TANGAGE')


%     Finished composite block 'UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage'.

set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID tangage'],...
		'ForeGround',1,...
		'BackGround',2,...
		'position',[565,342,710,408])


%     Subsystem  'UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis'.

new_system([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis'],'Location',[16,50,868,463])

add_block('built-in/Outport',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/out_1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/out_1'],...
		'position',[775,235,795,255])

add_block('built-in/Gain',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/Gain1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/Gain1'],...
		'BackGround',7,...
		'hide name',0,...
		'Gain','F_PID_ROULIS',...
		'position',[445,224,500,266])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/ROUE'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/ROUE'],...
		'hide name',0,...
		'position',[449,170,454,175])

add_block('built-in/Sum',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/Sum'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/Sum'],...
		'BackGround',7,...
		'hide name',0,...
		'inputs','+++',...
		'position',[535,137,565,353])

add_block('built-in/Derivative',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/Derivative'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/Derivative'],...
		'position',[365,225,410,265])

add_block('built-in/Gain',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/Gain'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/Gain'],...
		'BackGround',7,...
		'hide name',0,...
		'Gain','K_PID_ROULIS',...
		'position',[370,156,445,194])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/Rappel proportionnel'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/Rappel proportionnel'],...
		'position',[400,190,405,195])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/roulisref - roulis '])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/roulisref - roulis '],...
		'position',[280,135,285,140])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/PID ROULIS'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/PID ROULIS'],...
		'ForeGround',1,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',16,...
		'position',[510,70,515,75])

add_block('built-in/Inport',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/in_1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/in_1'],...
		'position',[255,165,275,185])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/To Workspace1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/To Workspace1'],...
		'BackGround',7,...
		'hide name',0,...
		'mat-name','phi0',...
		'buffer','points_trace',...
		'position',[385,107,435,123])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/To Workspace2'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/To Workspace2'],...
		'BackGround',7,...
		'hide name',0,...
		'mat-name','phi1',...
		'buffer','points_trace',...
		'position',[685,142,735,158])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/Rappel',13,'proportionnel']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/Rappel',13,'proportionnel']],...
		'ForeGround',1,...
		'position',[465,175,470,180])

add_block('built-in/Gain',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/Gain2'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/Gain2'],...
		'Gain','gain_roulis',...
		'position',[610,233,655,257])

add_block('built-in/Gain',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/gain 0 ou 1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis/gain 0 ou 1'],...
		'Gain','0.5*0',...
		'position',[435,302,465,328])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis'],[470,315;530,315])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis'],[505,245;530,245])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis'],[415,245;440,245])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis'],[450,175;530,175])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis'],[280,175;365,175])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis'],[345,175;320,175;320,315;430,315])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis'],[320,245;360,245])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis'],[660,245;675,245;735,245;745,245;770,245])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis'],[570,245;605,245])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis'],[345,175;345,115;380,115])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis'],[580,245;580,150;680,150])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis'],...
		'Mask Display','PID ROULIS SEUL')


%     Finished composite block 'UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis'.

set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID roulis'],...
		'ForeGround',1,...
		'BackGround',2,...
		'hide name',0,...
		'position',[565,223,715,277])


%     Subsystem  'UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet'.

new_system([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet'],'Location',[80,578,770,943])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/Rappel',13,'proportionnel1']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/Rappel',13,'proportionnel1']],...
		'ForeGround',1,...
		'position',[315,75,320,80])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/lacet_ref - lacet  '])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/lacet_ref - lacet  '],...
		'position',[125,90,130,95])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/Rappel proportionnel1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/Rappel proportionnel1'],...
		'position',[245,145,250,150])

add_block('built-in/Gain',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/gain 0 ou 2'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/gain 0 ou 2'],...
		'Gain','0.5*0',...
		'position',[310,257,340,283])

add_block('built-in/Gain',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/Gain2'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/Gain2'],...
		'BackGround',7,...
		'hide name',0,...
		'Gain','K_PID_LACET',...
		'position',[215,111,290,149])

add_block('built-in/Derivative',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/Derivative1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/Derivative1'],...
		'position',[210,180,255,220])

add_block('built-in/Sum',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/Sum1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/Sum1'],...
		'BackGround',7,...
		'hide name',0,...
		'inputs','+++',...
		'position',[380,92,410,308])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/ROUE1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/ROUE1'],...
		'hide name',0,...
		'position',[294,125,299,130])

add_block('built-in/Gain',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/Gain3'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/Gain3'],...
		'BackGround',7,...
		'hide name',0,...
		'Gain','F_PID_LACET',...
		'position',[290,179,345,221])

add_block('built-in/Outport',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/out_1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/out_1'],...
		'position',[580,190,600,210])

add_block('built-in/Inport',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/in_1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/in_1'],...
		'position',[115,120,135,140])

add_block('built-in/Gain',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/Gain4'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/Gain4'],...
		'Gain','gain_lacet',...
		'position',[440,187,465,213])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/PID LACET'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet/PID LACET'],...
		'ForeGround',1,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',16,...
		'position',[335,20,340,25])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet'],[140,130;210,130])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet'],[190,130;165,130;165,270;205,270;295,270])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet'],[165,200;205,200])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet'],[295,130;375,130])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet'],[260,200;285,200])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet'],[350,200;375,200])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet'],[285,270;305,270])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet'],[345,270;375,270])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet'],[470,200;480,200;550,200;575,200])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet'],[415,200;435,200])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet'],...
		'Mask Display','PID LACET SEUL')


%     Finished composite block 'UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet'.

set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem/PID lacet'],...
		'ForeGround',1,...
		'BackGround',2,...
		'hide name',0,...
		'position',[565,278,715,332])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[720,305;805,305;805,395;845,395])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[760,385;775,385;775,360;845,360])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[715,375;725,385])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[765,250;770,250;770,325;845,325])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[720,250;730,250])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[540,250;560,250])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[540,305;560,305])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[140,295;180,295;180,500;220,500])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[165,295;165,405;495,405])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[140,335;230,335])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[150,335;150,525;220,525])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[445,370;495,370])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[535,390;560,375])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[140,255;230,255])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[210,255;220,475])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[270,500;360,500])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[285,295;440,295])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[425,260;440,260])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[480,280;495,280])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[65,275;85,275])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[885,360;980,360])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[307,500;305,590;1000,590])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[765,250;810,250])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[810,395;810,420;830,425])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[775,385;775,450;830,450])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[570,480;995,480])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],[570,515;615,515;615,650;1000,650])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],...
		'Mask Display','CALCUL DES COUPLES PID\nSUR AXES DE MESURE\nDES ANGLES DE CARDAN\n\n1 champ puls\n2 Angles de Cardan\n3 Les 3 PID\n4 Le champ rel')


%     Finished composite block 'UnNamed1/Subsystem4/Subsystem3/Subsystem'.

set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Subsystem'],...
		'position',[50,268,225,407])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Champ magntique rel '])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Champ magntique rel '],...
		'position',[820,460,825,465])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Champ magntique puls'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Champ magntique puls'],...
		'position',[305,255,310,260])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Champ rel'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Champ rel'],...
		'position',[330,560,335,565])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/Subsystem4/Subsystem3/To Workspace2'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/To Workspace2'],...
		'BackGround',7,...
		'hide name',0,...
		'mat-name','By',...
		'buffer','points_trace',...
		'position',[545,233,590,247])

add_block('built-in/Inport',[sys,'/','UnNamed1/Subsystem4/Subsystem3/in_1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/in_1'],...
		'position',[5,330,25,350])

add_block('built-in/Demux',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Demux4'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Demux4'],...
		'hide name',0,...
		'outputs','3',...
		'position',[435,234,475,336])

add_block('built-in/Mux',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Mux'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Mux'],...
		'inputs','3',...
		'position',[665,273,695,407])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/Subsystem4/Subsystem3/To Workspace1'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/To Workspace1'],...
		'BackGround',7,...
		'hide name',0,...
		'mat-name','mx',...
		'buffer','points_trace',...
		'position',[895,197,945,213])

add_block('built-in/Mux',[sys,'/','UnNamed1/Subsystem4/Subsystem3/Mux4'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/Mux4'],...
		'hide name',0,...
		'inputs','[3 3]',...
		'position',[245,302,285,373])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/Subsystem4/Subsystem3/To Workspace3'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/To Workspace3'],...
		'BackGround',7,...
		'hide name',0,...
		'mat-name','test1',...
		'buffer','points_trace',...
		'position',[365,232,415,248])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/Subsystem4/Subsystem3/To Workspace4'])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3/To Workspace4'],...
		'BackGround',7,...
		'hide name',0,...
		'mat-name','test2',...
		'buffer','points_trace',...
		'position',[400,432,450,448])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Subsystem3/mx',13,'']])
set_param([sys,'/',['UnNamed1/Subsystem4/Subsystem3/mx',13,'']],...
		'position',[580,785,585,790])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[30,340;45,340])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[230,320;240,320])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[230,355;240,355])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[480,285;505,285])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[485,440;585,440;585,305;605,305])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[555,285;605,285])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[485,370;510,370])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[545,370;605,370])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[555,285;555,390;605,390])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[390,340;425,340;435,405])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[405,340;405,515;445,515])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[230,285;420,285;420,490;445,490])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[480,505;610,505])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[555,390;555,485;610,485])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[700,340;720,340])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[790,340;800,340])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[645,380;655,380;650,340;660,340])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[650,495;655,495;655,385;660,385])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[850,340;900,340])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[850,315;880,315;880,250;900,250])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[870,295;900,295])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[865,315;865,205;890,205])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[885,340;885,390;900,390])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[1005,435;1015,435])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[940,295;955,295;965,400])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[970,530;1010,530])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[990,620;1010,620])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[850,365;860,365;860,575;1010,575])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[860,575;830,575])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[1085,435;1100,435])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[1050,575;1075,575;1075,520;1100,520])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[1135,480;1160,480])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[865,575;865,670;1175,670])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[290,340;320,340])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[645,295;660,295])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[230,390;270,390;270,585;695,585;695,465;965,465])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[495,285;495,240;540,240])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[420,285;430,285])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[310,340;315,240;360,240])
add_line([sys,'/','UnNamed1/Subsystem4/Subsystem3'],[390,340;380,440;395,440])
set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3'],...
		'Mask Display','COMMANDE 2 AXES ROULIS-LACET\n\nAVEC 2 BOBINES ROULIS-LACET\n\nCOMMANDE TANGAGE SEUL PAR ROUE')


%     Finished composite block 'UnNamed1/Subsystem4/Subsystem3'.

set_param([sys,'/','UnNamed1/Subsystem4/Subsystem3'],...
		'BackGround',7,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',12,...
		'position',[385,95,730,195])

add_block('built-in/Outport',[sys,'/','UnNamed1/Subsystem4/out_1'])
set_param([sys,'/','UnNamed1/Subsystem4/out_1'],...
		'position',[815,110,835,130])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/Couple total'])
set_param([sys,'/','UnNamed1/Subsystem4/Couple total'],...
		'position',[885,105,890,110])

add_block('built-in/Note',[sys,'/',['UnNamed1/Subsystem4/Couple roue',13,'unidimensionnel']])
set_param([sys,'/',['UnNamed1/Subsystem4/Couple roue',13,'unidimensionnel']],...
		'position',[900,150,905,155])

add_block('built-in/Outport',[sys,'/','UnNamed1/Subsystem4/out_2'])
set_param([sys,'/','UnNamed1/Subsystem4/out_2'],...
		'Port','2',...
		'position',[815,160,835,180])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/Subsystem4/To Workspace1'])
set_param([sys,'/','UnNamed1/Subsystem4/To Workspace1'],...
		'BackGround',7,...
		'hide name',0,...
		'mat-name','v_roulis',...
		'buffer','points_trace',...
		'position',[430,240,490,260])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/Subsystem4/To Workspace2'])
set_param([sys,'/','UnNamed1/Subsystem4/To Workspace2'],...
		'BackGround',7,...
		'hide name',0,...
		'mat-name','v_tangage',...
		'buffer','points_trace',...
		'position',[430,275,490,295])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/Subsystem4/To Workspace3'])
set_param([sys,'/','UnNamed1/Subsystem4/To Workspace3'],...
		'BackGround',7,...
		'hide name',0,...
		'mat-name','v_lacet',...
		'buffer','points_trace',...
		'position',[425,310,490,330])

add_block('built-in/Demux',[sys,'/','UnNamed1/Subsystem4/Demux2'])
set_param([sys,'/','UnNamed1/Subsystem4/Demux2'],...
		'outputs','3',...
		'position',[330,230,375,340])

add_block('built-in/Inport',[sys,'/','UnNamed1/Subsystem4/in_1'])
set_param([sys,'/','UnNamed1/Subsystem4/in_1'],...
		'position',[10,135,30,155])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/Subsystem4/To Workspace5'])
set_param([sys,'/','UnNamed1/Subsystem4/To Workspace5'],...
		'BackGround',7,...
		'hide name',0,...
		'mat-name','ptf',...
		'buffer','points_trace',...
		'position',[220,355,285,375])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/vitesses'])
set_param([sys,'/','UnNamed1/Subsystem4/vitesses'],...
		'position',[200,55,205,60])

add_block('built-in/Note',[sys,'/','UnNamed1/Subsystem4/angles'])
set_param([sys,'/','UnNamed1/Subsystem4/angles'],...
		'position',[255,375,260,380])

add_block('built-in/Demux',[sys,'/','UnNamed1/Subsystem4/Demux1'])
set_param([sys,'/','UnNamed1/Subsystem4/Demux1'],...
		'outputs','[3 4]',...
		'position',[55,88,100,197])

add_block('built-in/MATLAB Fcn',[sys,'/','UnNamed1/Subsystem4/Angles  rd'])
set_param([sys,'/','UnNamed1/Subsystem4/Angles  rd'],...
		'MATLAB Fcn','angles(u)',...
		'Output Width','3',...
		'position',[120,153,180,187])

add_block('built-in/To Workspace',[sys,'/','UnNamed1/Subsystem4/To Workspace4'])
set_param([sys,'/','UnNamed1/Subsystem4/To Workspace4'],...
		'BackGround',7,...
		'hide name',0,...
		'mat-name','pqr',...
		'buffer','points_trace',...
		'position',[165,35,230,55])
add_line([sys,'/','UnNamed1/Subsystem4'],[365,145;380,145])
add_line([sys,'/','UnNamed1/Subsystem4'],[185,170;320,170])
add_line([sys,'/','UnNamed1/Subsystem4'],[105,170;115,170])
add_line([sys,'/','UnNamed1/Subsystem4'],[35,145;50,145])
add_line([sys,'/','UnNamed1/Subsystem4'],[220,170;230,115])
add_line([sys,'/','UnNamed1/Subsystem4'],[300,115;320,115])
add_line([sys,'/','UnNamed1/Subsystem4'],[735,120;810,120])
add_line([sys,'/','UnNamed1/Subsystem4'],[735,170;810,170])
add_line([sys,'/','UnNamed1/Subsystem4'],[380,250;425,250])
add_line([sys,'/','UnNamed1/Subsystem4'],[380,285;425,285])
add_line([sys,'/','UnNamed1/Subsystem4'],[380,320;420,320])
add_line([sys,'/','UnNamed1/Subsystem4'],[300,115;300,285;325,285])
add_line([sys,'/','UnNamed1/Subsystem4'],[105,115;140,115;140,45;160,45])
add_line([sys,'/','UnNamed1/Subsystem4'],[200,170;200,365;215,365])
set_param([sys,'/','UnNamed1/Subsystem4'],...
		'Mask Display','ACQUISITION FINALE\nAPRES DETUMBLING')


%     Finished composite block 'UnNamed1/Subsystem4'.

set_param([sys,'/','UnNamed1/Subsystem4'],...
		'hide name',0,...
		'position',[165,437,395,528])
add_line([sys,'/','UnNamed1'],[205,265;295,265])
add_line([sys,'/','UnNamed1'],[1055,450;1085,455])
add_line([sys,'/','UnNamed1'],[1120,455;1150,455])
add_line([sys,'/','UnNamed1'],[70,295;150,295])
add_line([sys,'/','UnNamed1'],[920,430;940,435])
add_line([sys,'/','UnNamed1'],[450,575;455,535])
add_line([sys,'/','UnNamed1'],[665,470;745,470;745,430;810,430])
add_line([sys,'/','UnNamed1'],[707,470;725,555;745,570])
add_line([sys,'/','UnNamed1'],[800,535;885,515])
add_line([sys,'/','UnNamed1'],[800,570;885,550])
add_line([sys,'/','UnNamed1'],[800,605;885,585])
add_line([sys,'/','UnNamed1'],[975,435;1000,440;1000,570;1020,565])
add_line([sys,'/','UnNamed1'],[400,505;410,505;415,575])
add_line([sys,'/','UnNamed1'],[610,535;635,550])
add_line([sys,'/','UnNamed1'],[115,295;115,465;115,610;635,610])
add_line([sys,'/','UnNamed1'],[440,265;915,265;915,335;1020,335])
add_line([sys,'/','UnNamed1'],[400,460;630,470])
add_line([sys,'/','UnNamed1'],[115,500;145,485;160,485])
set_param([sys,'/','UnNamed1'],...
		'Mask Display','F(X , t ) \n\nPOUR LA ROTATION')


%     Finished composite block 'UnNamed1'.

set_param([sys,'/','UnNamed1'],...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Size',14,...
		'position',[145,248,370,332])

add_block('built-in/Note',[sys,'/',['Entres',13,'drive rotation (3)']])
set_param([sys,'/',['Entres',13,'drive rotation (3)']],...
		'position',[440,255,445,260])

add_block('built-in/Note',[sys,'/',['Vecteur d''tat de 7 composantes']])
set_param([sys,'/',['Vecteur d''tat de 7 composantes']],...
		'position',[385,500,390,505])

add_block('built-in/Note',[sys,'/','1  3 = rotation inertielle'])
set_param([sys,'/','1  3 = rotation inertielle'],...
		'position',[200,525,205,530])

add_block('built-in/Note',[sys,'/',['4  7 = quaternion d''attitude dans le repre orbital']])
set_param([sys,'/',['4  7 = quaternion d''attitude dans le repre orbital']],...
		'position',[610,520,615,525])

add_block('built-in/Note',[sys,'/','Ci-dessous cliquer pour obtenir les tracs de courbes'])
set_param([sys,'/','Ci-dessous cliquer pour obtenir les tracs de courbes'],...
		'Font Name','Arial',...
		'Font Angle','italic',...
		'Font Size',16,...
		'position',[430,585,435,590])


%     Subsystem  'Extras10'.

new_system([sys,'/','Extras10'])
set_param([sys,'/','Extras10'],'Location',[4,50,1012,686])
set_param([sys,'/','Extras10'],...
		'Mask Display','Couleurs des courbes\nroulis=jaune\ntangage=magenta\nlacet=cyan')


%     Finished composite block 'Extras10'.

set_param([sys,'/','Extras10'],...
		'ForeGround',1,...
		'BackGround',2,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Size',14,...
		'position',[330,710,560,796])


%     Subsystem  'Extras5'.

new_system([sys,'/','Extras5'])
set_param([sys,'/','Extras5'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras5'],...
		'Mask Display','Voir les courbes\ndes angles (en degrs)',...
		'Mask Dialogue','eval(''plot(temps,roulis,temps,tangage,temps,lacet);grid;figure(gcf)'')')


%     Finished composite block 'Extras5'.

set_param([sys,'/','Extras5'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Size',14,...
		'position',[85,635,285,701])

add_block('built-in/Note',[sys,'/',['p'' q'' r'' Q''']])
set_param([sys,'/',['p'' q'' r'' Q''']],...
		'Font Weight','bold',...
		'Font Size',12,...
		'position',[800,330,805,335])

add_block('built-in/Note',[sys,'/','p q r Q'])
set_param([sys,'/','p q r Q'],...
		'Font Weight','bold',...
		'Font Size',12,...
		'position',[765,265,770,270])


%     Subsystem  'Extras9'.

new_system([sys,'/','Extras9'])
set_param([sys,'/','Extras9'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras9'],...
		'Mask Display','Voir les courbes\nmoments magntiques \nmx, my, mz',...
		'Mask Dialogue','eval(''plot(temps,mx,temps,mz);grid;figure(gcf)'')')


%     Finished composite block 'Extras9'.

set_param([sys,'/','Extras9'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Size',14,...
		'position',[325,640,575,701])


%     Subsystem  'Extras7'.

new_system([sys,'/','Extras7'])
set_param([sys,'/','Extras7'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras7'],...
		'Mask Display','Voir les courbes\nvitesses angulaires\np, q, r (rd/s)',...
		'Mask Dialogue','eval(''plot(temps,p,temps,q,temps,r);grid;figure(gcf)'')')


%     Finished composite block 'Extras7'.

set_param([sys,'/','Extras7'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Size',14,...
		'position',[80,715,285,776])


%     Subsystem  'Extras15'.

new_system([sys,'/','Extras15'])
set_param([sys,'/','Extras15'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras15'],...
		'Mask Display','Voir les courbes\nvitesses angulaires\nphi teta psi (rd/s)',...
		'Mask Dialogue','eval(''plot(temps,v_roulis,temps,v_tangage,temps,v_lacet);grid;figure(gcf)'')')


%     Finished composite block 'Extras15'.

set_param([sys,'/','Extras15'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Size',14,...
		'position',[85,790,290,851])


%     Subsystem  'Extras8'.

new_system([sys,'/','Extras8'])
set_param([sys,'/','Extras8'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras8'],...
		'Mask Display','Couples de\ncommande  (Nm)\nCphi, Cteta,Cpsi',...
		'Mask Dialogue','eval(''plot(temps,cpl_phi,temps,cpl_teta,temps,cpl_psi);grid;figure(gcf)'')')


%     Finished composite block 'Extras8'.

set_param([sys,'/','Extras8'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Size',14,...
		'position',[595,705,770,771])


%     Subsystem  'Extras14'.

new_system([sys,'/','Extras14'])
set_param([sys,'/','Extras14'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras14'],...
		'Mask Display','Couples de\ncommande  (Nm)\nCx, Cy,Cz',...
		'Mask Dialogue','eval(''plot(temps,Cx,temps,Cy,temps,Cz);grid;figure(gcf)'')')


%     Finished composite block 'Extras14'.

set_param([sys,'/','Extras14'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Size',14,...
		'position',[595,785,770,851])


%     Subsystem  'Extras16'.

new_system([sys,'/','Extras16'])
set_param([sys,'/','Extras16'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras16'],...
		'Mask Display','Voir la courbe\n\nenergie relative (J)',...
		'Mask Dialogue','eval(''plot(temps,energie_relative);grid;figure(gcf)'')')


%     Finished composite block 'Extras16'.

set_param([sys,'/','Extras16'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Size',14,...
		'position',[340,800,540,856])


%     Subsystem  'Extras11'.

new_system([sys,'/','Extras11'])
set_param([sys,'/','Extras11'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras11'],...
		'Mask Display','Voir les courbes\n champ By satellite\net de BY orbitale',...
		'Mask Dialogue','eval(''plot(temps,By,temps,BY);grid;figure(gcf)'')')


%     Finished composite block 'Extras11'.

set_param([sys,'/','Extras11'],...
		'BackGround',7,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Size',14,...
		'position',[595,635,765,696])


%     Subsystem  'Extras17'.

new_system([sys,'/','Extras17'])
set_param([sys,'/','Extras17'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras17'],...
		'Mask Display','Voir la commande \navant le "hachoir "',...
		'Mask Dialogue','eval(''plot(temps,com_avant);grid;figure(gcf)'')')


%     Finished composite block 'Extras17'.

set_param([sys,'/','Extras17'],...
		'ForeGround',1,...
		'BackGround',4,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Size',14,...
		'position',[805,640,1005,706])


%     Subsystem  'Extras18'.

new_system([sys,'/','Extras18'])
set_param([sys,'/','Extras18'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras18'],...
		'Mask Display','Voir la commande \napres le "hachoir "',...
		'Mask Dialogue','eval(''plot(temps,com_apres);grid;figure(gcf)'')')


%     Finished composite block 'Extras18'.

set_param([sys,'/','Extras18'],...
		'ForeGround',1,...
		'BackGround',4,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Size',14,...
		'position',[805,715,1005,781])


%     Subsystem  'Extras20'.

new_system([sys,'/','Extras20'])
set_param([sys,'/','Extras20'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras20'],...
		'Mask Display','Diffrence des \nciommandes haches\n avant - apres',...
		'Mask Dialogue','eval(''plot(temps,com_avant-com_apres);grid;figure(gcf)'')')


%     Finished composite block 'Extras20'.

set_param([sys,'/','Extras20'],...
		'ForeGround',1,...
		'BackGround',4,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Size',14,...
		'position',[810,790,1010,856])


%     Subsystem  'Extras12'.

new_system([sys,'/','Extras12'])
set_param([sys,'/','Extras12'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras12'],...
		'Mask Display','Voir courbe\ncouple\nroue (Nm)',...
		'Mask Dialogue','eval(''plot(temps,couple_roue);grid;figure(gcf)'')')


%     Finished composite block 'Extras12'.

set_param([sys,'/','Extras12'],...
		'ForeGround',1,...
		'BackGround',2,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Size',14,...
		'position',[1045,630,1200,696])


%     Subsystem  'Extras13'.

new_system([sys,'/','Extras13'])
set_param([sys,'/','Extras13'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras13'],...
		'Mask Display','Voir courbe\nvitesse\nroue (tours/mn)',...
		'Mask Dialogue','eval(''plot(temps,vit_roue);grid;figure(gcf)'')')


%     Finished composite block 'Extras13'.

set_param([sys,'/','Extras13'],...
		'ForeGround',1,...
		'BackGround',2,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Size',14,...
		'position',[1050,710,1205,776])

add_block('built-in/Note',[sys,'/',['',13,'ACQUISITION FINE EN PHASE FINALE DU DETUMBLING APRES "Bpoint" ']])
set_param([sys,'/',['',13,'ACQUISITION FINE EN PHASE FINALE DU DETUMBLING APRES "Bpoint" ']],...
		'ForeGround',5,...
		'Font Weight','bold',...
		'Font Size',22,...
		'position',[708,0,713,5])

add_block('built-in/Clock',[sys,'/','Clock'])
set_param([sys,'/','Clock'],...
		'BackGround',7,...
		'position',[1130,398,1165,432])


%     Subsystem  'Subsystem1'.

new_system([sys,'/','Subsystem1'])
set_param([sys,'/','Subsystem1'],'Location',[10,115,1238,841])

add_block('built-in/Note',[sys,'/','Subsystem1/COMMENT UTILISER LA SIMULATION'])
set_param([sys,'/','Subsystem1/COMMENT UTILISER LA SIMULATION'],...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',20,...
		'position',[625,10,630,15])

add_block('built-in/Note',[sys,'/',['Subsystem1/a) Un CLEAR dans l''espace Matlab est conseill']])
set_param([sys,'/',['Subsystem1/a) Un CLEAR dans l''espace Matlab est conseill']],...
		'Font Size',14,...
		'position',[405,185,410,190])

add_block('built-in/Note',[sys,'/','Subsystem1/b) Cliquer sur le cadre magenta pour excuter le fichier de donnes derivdat ou poledat'])
set_param([sys,'/','Subsystem1/b) Cliquer sur le cadre magenta pour excuter le fichier de donnes derivdat ou poledat'],...
		'Font Name','Arial',...
		'Font Size',14,...
		'position',[560,210,565,215])

add_block('built-in/Note',[sys,'/','Subsystem1/c) Paramtrer la simulation, choisir un temps assez long disons 30000 secondes'])
set_param([sys,'/','Subsystem1/c) Paramtrer la simulation, choisir un temps assez long disons 30000 secondes'],...
		'Font Name','Arial',...
		'Font Size',14,...
		'position',[530,235,535,240])

add_block('built-in/Note',[sys,'/',['Subsystem1/2 - Le lancement de la simulation principale se fait dans l''ordre suivant;']])
set_param([sys,'/',['Subsystem1/2 - Le lancement de la simulation principale se fait dans l''ordre suivant;']],...
		'Font Size',14,...
		'position',[405,160,410,165])

add_block('built-in/Note',[sys,'/','Subsystem1/d) Lancer la simulation'])
set_param([sys,'/','Subsystem1/d) Lancer la simulation'],...
		'Font Size',14,...
		'position',[295,265,300,270])

add_block('built-in/Note',[sys,'/','Subsystem1/3 - Attendre que le stop arrte les calculs quand les vitesses sont suffisamment rduites,'])
set_param([sys,'/','Subsystem1/3 - Attendre que le stop arrte les calculs quand les vitesses sont suffisamment rduites,'],...
		'Font Size',14,...
		'position',[480,295,485,300])

add_block('built-in/Note',[sys,'/','Subsystem1/NB :Le stop peut tre inactiv en portant son gain  0, dans son masque'])
set_param([sys,'/','Subsystem1/NB :Le stop peut tre inactiv en portant son gain  0, dans son masque'],...
		'Font Name','Arial',...
		'Font Size',14,...
		'position',[495,325,500,330])

add_block('built-in/Note',[sys,'/','Subsystem1/4 - Comment voir rapidement les courbes intressantes :'])
set_param([sys,'/','Subsystem1/4 - Comment voir rapidement les courbes intressantes :'],...
		'Font Name','Arial',...
		'Font Underline',1,...
		'Font Size',14,...
		'position',[360,370,365,375])

add_block('built-in/Note',[sys,'/','Subsystem1/a) En cliquant dans les boites vertes'])
set_param([sys,'/','Subsystem1/a) En cliquant dans les boites vertes'],...
		'Font Size',14,...
		'position',[355,400,360,405])

add_block('built-in/Note',[sys,'/','Subsystem1/b) '])
set_param([sys,'/','Subsystem1/b) '],...
		'Font Size',14,...
		'position',[220,435,225,440])

add_block('built-in/Note',[sys,'/',['Subsystem1/Les sorties suivantes sont disponibles dans l''espace Matlab p q r roulis lacet tangage energie p2q2 ...',13,'(p+q = carr de la rotation transversale)']])
set_param([sys,'/',['Subsystem1/Les sorties suivantes sont disponibles dans l''espace Matlab p q r roulis lacet tangage energie p2q2 ...',13,'(p+q = carr de la rotation transversale)']],...
		'Font Name','Arial',...
		'Font Size',14)
set_param([sys,'/',['Subsystem1/Les sorties suivantes sont disponibles dans l''espace Matlab p q r roulis lacet tangage energie p2q2 ...',13,'(p+q = carr de la rotation transversale)']],...
		'position',[635,435,640,440])

add_block('built-in/Note',[sys,'/','Subsystem1/c) Roulis lacet tangage temps sont aussi stockes dans angles.mat,  vous de les exploiter'])
set_param([sys,'/','Subsystem1/c) Roulis lacet tangage temps sont aussi stockes dans angles.mat,  vous de les exploiter'],...
		'Font Name','Arial',...
		'Font Size',14,...
		'position',[570,480,575,485])

add_block('built-in/Note',[sys,'/',['Subsystem1/NB :Les couleurs lors de 3 sorties sont',13,' roulis jaune',13,'tangage magenta',13,'lacet cyan']])
set_param([sys,'/',['Subsystem1/NB :Les couleurs lors de 3 sorties sont',13,' roulis jaune',13,'tangage magenta',13,'lacet cyan']],...
		'Font Name','Arial',...
		'Font Size',14,...
		'position',[580,545,585,550])

add_block('built-in/Note',[sys,'/','Subsystem1/Robert Guiziou dcembre 2013'])
set_param([sys,'/','Subsystem1/Robert Guiziou dcembre 2013'],...
		'position',[1115,690,1120,695])

add_block('built-in/Note',[sys,'/',['Subsystem1/Pour la simulation principale c''est ACQ_DAT3.M']])
set_param([sys,'/',['Subsystem1/Pour la simulation principale c''est ACQ_DAT3.M']],...
		'Font Size',14,...
		'position',[405,125,410,130])

add_block('built-in/Note',[sys,'/','Subsystem1/1 - Le choix des paramtres doit tre ralis dans un fichier  ouvrir dans notepad (ou autre)'])
set_param([sys,'/','Subsystem1/1 - Le choix des paramtres doit tre ralis dans un fichier  ouvrir dans notepad (ou autre)'],...
		'Font Size',14,...
		'position',[495,90,500,95])
set_param([sys,'/','Subsystem1'],...
		'Mask Display','LIRE LES EXPLICATIONS')


%     Finished composite block 'Subsystem1'.

set_param([sys,'/','Subsystem1'],...
		'ForeGround',7,...
		'BackGround',0,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',14,...
		'position',[160,880,510,916])

add_block('built-in/Note',[sys,'/',['L''initialisation',13,' lance acq_dat6.m']])
set_param([sys,'/',['L''initialisation',13,' lance acq_dat6.m']],...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',14,...
		'position',[965,540,970,545])


%     Subsystem  'Extras19'.

new_system([sys,'/','Extras19'])
set_param([sys,'/','Extras19'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras19'],...
		'Mask Display','LANCER\n\n LE MODE FIN',...
		'Mask Dialogue','eval(''regdesat'')')


%     Finished composite block 'Extras19'.

set_param([sys,'/','Extras19'],...
		'ForeGround',1,...
		'BackGround',0,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Size',14,...
		'position',[1055,790,1205,861])


%     Subsystem  'Extras1'.

new_system([sys,'/','Extras1'])
set_param([sys,'/','Extras1'],'Location',[4,42,1012,678])
set_param([sys,'/','Extras1'],...
		'Mask Display','INITIALISATION\npar double clic souris\nCAS GENERAL',...
		'Mask Dialogue','eval(''acq_dat6'')')


%     Finished composite block 'Extras1'.

set_param([sys,'/','Extras1'],...
		'ForeGround',4,...
		'BackGround',6,...
		'hide name',0,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',14,...
		'position',[850,465,1085,536])


%     Subsystem  'Subsystem'.

new_system([sys,'/','Subsystem'])
set_param([sys,'/','Subsystem'],'Location',[48,78,1231,917])

add_block('built-in/Note',[sys,'/',['Subsystem/SORTIES ET TRAITEMENT DE LA SORTIE',13,'POUR VERIFICATIONS DE FONCTIONNALITE']])
set_param([sys,'/',['Subsystem/SORTIES ET TRAITEMENT DE LA SORTIE',13,'POUR VERIFICATIONS DE FONCTIONNALITE']],...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',20,...
		'position',[620,40,625,45])

add_block('built-in/Demux',[sys,'/','Subsystem/Demux'])
set_param([sys,'/','Subsystem/Demux'],...
		'outputs','[3 4]',...
		'position',[470,339,520,506])

add_block('built-in/MATLAB Fcn',[sys,'/','Subsystem/MATLAB Fcn1'])
set_param([sys,'/','Subsystem/MATLAB Fcn1'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'MATLAB Fcn','angles(u)',...
		'Output Width','3',...
		'position',[700,448,760,482])

add_block('built-in/To Workspace',[sys,'/','Subsystem/To Workspace14'])
set_param([sys,'/','Subsystem/To Workspace14'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'mat-name','lacet',...
		'buffer','points_trace',...
		'position',[965,490,1035,510])

add_block('built-in/To Workspace',[sys,'/','Subsystem/To Workspace12'])
set_param([sys,'/','Subsystem/To Workspace12'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'mat-name','roulis',...
		'buffer','points_trace',...
		'position',[965,420,1035,440])

add_block('built-in/Demux',[sys,'/','Subsystem/Demux2'])
set_param([sys,'/','Subsystem/Demux2'],...
		'outputs','3',...
		'position',[860,413,905,517])

add_block('built-in/Note',[sys,'/','Subsystem/Drive de Q'])
set_param([sys,'/','Subsystem/Drive de Q'],...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',12,...
		'position',[635,665,640,670])

add_block('built-in/MATLAB Fcn',[sys,'/','Subsystem/MATLAB Fcn4'])
set_param([sys,'/','Subsystem/MATLAB Fcn4'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'MATLAB Fcn','omegaorb(u)',...
		'Output Width','3',...
		'position',[815,621,895,659])

add_block('built-in/Note',[sys,'/','Subsystem/Quaternion Q'])
set_param([sys,'/','Subsystem/Quaternion Q'],...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',12,...
		'position',[600,435,605,440])

add_block('built-in/To Workspace',[sys,'/','Subsystem/To Workspace5'])
set_param([sys,'/','Subsystem/To Workspace5'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'mat-name','accel_angulaire',...
		'buffer','points_trace',...
		'position',[565,562,670,598])

add_block('built-in/Mux',[sys,'/','Subsystem/Mux'])
set_param([sys,'/','Subsystem/Mux'],...
		'inputs','[4 4]',...
		'position',[735,591,770,689])

add_block('built-in/Note',[sys,'/',['Subsystem/Q''']])
set_param([sys,'/',['Subsystem/Q''']],...
		'position',[710,670,715,675])

add_block('built-in/Note',[sys,'/','Subsystem/Q'])
set_param([sys,'/','Subsystem/Q'],...
		'position',[705,590,710,595])

add_block('built-in/Fcn',[sys,'/','Subsystem/Fcn'])
set_param([sys,'/','Subsystem/Fcn'],...
		'Expr','(u(1)^2+u(3)^2)^0.5',...
		'position',[720,325,760,345])

add_block('built-in/To Workspace',[sys,'/','Subsystem/To Workspace9'])
set_param([sys,'/','Subsystem/To Workspace9'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'mat-name','p2plusq2',...
		'buffer','points_trace',...
		'position',[805,325,875,345])

add_block('built-in/Demux',[sys,'/','Subsystem/Demux1'])
set_param([sys,'/','Subsystem/Demux1'],...
		'outputs','[3 4]',...
		'position',[470,539,520,706])

add_block('built-in/Inport',[sys,'/','Subsystem/in_1'])
set_param([sys,'/','Subsystem/in_1'],...
		'position',[400,415,420,435])

add_block('built-in/Note',[sys,'/',['Subsystem/Entre de',13,'p q r Q']])
set_param([sys,'/',['Subsystem/Entre de',13,'p q r Q']],...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',12,...
		'position',[420,365,425,370])

add_block('built-in/To Workspace',[sys,'/','Subsystem/To Workspace13'])
set_param([sys,'/','Subsystem/To Workspace13'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'mat-name','tangage',...
		'buffer','points_trace',...
		'position',[965,455,1035,475])

add_block('built-in/To File',[sys,'/','Subsystem/To File'])
set_param([sys,'/','Subsystem/To File'],...
		'hide name',0,...
		'File name','angles.mat',...
		'Matrix name','roulis',...
		'position',[1115,377,1205,423])

add_block('built-in/To File',[sys,'/','Subsystem/To File1'])
set_param([sys,'/','Subsystem/To File1'],...
		'hide name',0,...
		'File name','angles.mat',...
		'Matrix name','tangage',...
		'position',[1115,427,1205,473])

add_block('built-in/To Workspace',[sys,'/','Subsystem/To Workspace8'])
set_param([sys,'/','Subsystem/To Workspace8'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'mat-name','temps',...
		'buffer','points_trace',...
		'position',[965,525,1035,545])

add_block('built-in/To File',[sys,'/','Subsystem/To File2'])
set_param([sys,'/','Subsystem/To File2'],...
		'hide name',0,...
		'File name','angles.mat',...
		'Matrix name','lacet',...
		'position',[1115,492,1205,538])

add_block('built-in/To File',[sys,'/','Subsystem/To File3'])
set_param([sys,'/','Subsystem/To File3'],...
		'hide name',0,...
		'File name','angles.mat',...
		'Matrix name','temps',...
		'position',[1115,547,1205,593])

add_block('built-in/Clock',[sys,'/','Subsystem/Clock'])
set_param([sys,'/','Subsystem/Clock'],...
		'position',[905,525,925,545])

add_block('built-in/To Workspace',[sys,'/','Subsystem/To Workspace10'])
set_param([sys,'/','Subsystem/To Workspace10'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'mat-name','omega_tmc',...
		'buffer','points_trace',...
		'position',[800,272,900,298])

add_block('built-in/Demux',[sys,'/','Subsystem/Demux3'])
set_param([sys,'/','Subsystem/Demux3'],...
		'outputs','3',...
		'position',[610,158,655,262])

add_block('built-in/To Workspace',[sys,'/','Subsystem/To Workspace15'])
set_param([sys,'/','Subsystem/To Workspace15'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'mat-name','p',...
		'buffer','points_trace',...
		'position',[715,165,785,185])

add_block('built-in/To Workspace',[sys,'/','Subsystem/To Workspace16'])
set_param([sys,'/','Subsystem/To Workspace16'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'mat-name','q',...
		'buffer','points_trace',...
		'position',[715,200,785,220])

add_block('built-in/To Workspace',[sys,'/','Subsystem/To Workspace17'])
set_param([sys,'/','Subsystem/To Workspace17'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'mat-name','r',...
		'buffer','points_trace',...
		'position',[715,235,785,255])

add_block('built-in/Note',[sys,'/',['Subsystem/Vitesses angulaires absolues',13,'autour des axes x y z']])
set_param([sys,'/',['Subsystem/Vitesses angulaires absolues',13,'autour des axes x y z']],...
		'position',[895,185,900,190])

add_block('built-in/Inport',[sys,'/','Subsystem/in_2'])
set_param([sys,'/','Subsystem/in_2'],...
		'Port','2',...
		'position',[390,615,410,635])

add_block('built-in/To Workspace',[sys,'/','Subsystem/To Workspace11'])
set_param([sys,'/','Subsystem/To Workspace11'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'mat-name','omega_quat',...
		'buffer','points_trace',...
		'position',[935,624,1020,656])

add_block('built-in/Note',[sys,'/',['Subsystem/Rotation atellite par',13,'rapport aux axes orbitaux']])
set_param([sys,'/',['Subsystem/Rotation atellite par',13,'rapport aux axes orbitaux']],...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',12,...
		'position',[915,575,920,580])


%     Subsystem  ['Subsystem/Vitesses angulaires',13,'rd//s1'].

new_system([sys,'/',['Subsystem/Vitesses angulaires',13,'rd//s1']])
set_param([sys,'/',['Subsystem/Vitesses angulaires',13,'rd//s1']],'Location',[0,59,274,252])

add_block('built-in/S-Function',[sys,'/',['Subsystem/Vitesses angulaires',13,'rd//s1/S-function',13,'M-file which plots',13,'lines',13,'']])
set_param([sys,'/',['Subsystem/Vitesses angulaires',13,'rd//s1/S-function',13,'M-file which plots',13,'lines',13,'']],...
		'function name','sfuny',...
		'parameters','ax, color,dt',...
		'position',[130,55,180,75])

add_block('built-in/Inport',[sys,'/',['Subsystem/Vitesses angulaires',13,'rd//s1/x']])
set_param([sys,'/',['Subsystem/Vitesses angulaires',13,'rd//s1/x']],...
		'position',[65,55,85,75])
add_line([sys,'/',['Subsystem/Vitesses angulaires',13,'rd//s1']],[90,65;125,65])
set_param([sys,'/',['Subsystem/Vitesses angulaires',13,'rd//s1']],...
		'Mask Display','plot(0,0,100,100,[90,10,10,10,90,90,10],[65,65,90,40,40,90,90],[90,78,69,54,40,31,25,10],[77,60,48,46,56,75,81,84])',...
		'Mask Type','Graph scope.')
set_param([sys,'/',['Subsystem/Vitesses angulaires',13,'rd//s1']],...
		'Mask Dialogue','Graph scope using MATLAB graph window.\nEnter plotting ranges and line type.|Time range:|y-min:|y-max:|Line type (rgbw-:*). Seperate each plot by ''/'':')
set_param([sys,'/',['Subsystem/Vitesses angulaires',13,'rd//s1']],...
		'Mask Translate','color = @4; ax = [0, @1, @2, @3]; dt = -1;')
set_param([sys,'/',['Subsystem/Vitesses angulaires',13,'rd//s1']],...
		'Mask Help','This block plots to the MATLAB graph window and can be used as an improved version of the Scope block. Look at the m-file sfuny.m to see how it works. This block can take scalar or vector input signal.')
set_param([sys,'/',['Subsystem/Vitesses angulaires',13,'rd//s1']],...
		'Mask Entries','1000\/-0.02\/0.02\/''y-/m--/c-./w:/g*/ro/b+''\/')


%     Finished composite block ['Subsystem/Vitesses angulaires',13,'rd//s1'].

set_param([sys,'/',['Subsystem/Vitesses angulaires',13,'rd//s1']],...
		'orientation',2,...
		'BackGround',2,...
		'position',[340,192,450,228])

add_block('built-in/Gain',[sys,'/',['Subsystem/Conversion',13,'rd // degrs']])
set_param([sys,'/',['Subsystem/Conversion',13,'rd // degrs']],...
		'Gain','180/pi',...
		'position',[785,452,810,478])

add_block('built-in/Note',[sys,'/','Subsystem/Energie'])
set_param([sys,'/','Subsystem/Energie'],...
		'position',[885,390,890,395])

add_block('built-in/To Workspace',[sys,'/','Subsystem/To Workspace18'])
set_param([sys,'/','Subsystem/To Workspace18'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'mat-name','energie_relative',...
		'buffer','points_trace',...
		'position',[1075,737,1210,763])

add_block('built-in/MATLAB Fcn',[sys,'/','Subsystem/MATLAB Fcn5'])
set_param([sys,'/','Subsystem/MATLAB Fcn5'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'MATLAB Fcn','energie(u)',...
		'Output Width','1',...
		'position',[960,731,1040,769])

add_block('built-in/MATLAB Fcn',[sys,'/','Subsystem/MATLAB Fcn6'])
set_param([sys,'/','Subsystem/MATLAB Fcn6'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'MATLAB Fcn','energie(u)',...
		'Output Width','1',...
		'position',[720,361,800,399])

add_block('built-in/To Workspace',[sys,'/','Subsystem/To Workspace19'])
set_param([sys,'/','Subsystem/To Workspace19'],...
		'ForeGround',1,...
		'BackGround',3,...
		'hide name',0,...
		'mat-name','energie',...
		'buffer','points_trace',...
		'position',[820,370,890,390])
add_line([sys,'/','Subsystem'],[425,425;465,425])
add_line([sys,'/','Subsystem'],[525,465;695,465])
add_line([sys,'/','Subsystem'],[930,535;960,535])
add_line([sys,'/','Subsystem'],[525,380;660,380;660,335;715,335])
add_line([sys,'/','Subsystem'],[765,335;800,335])
add_line([sys,'/','Subsystem'],[660,335;660,285;795,285])
add_line([sys,'/','Subsystem'],[415,625;465,625])
add_line([sys,'/','Subsystem'],[525,580;560,580])
add_line([sys,'/','Subsystem'],[525,665;730,665])
add_line([sys,'/','Subsystem'],[675,465;675,615;730,615])
add_line([sys,'/','Subsystem'],[775,640;810,640])
add_line([sys,'/','Subsystem'],[900,640;930,640])
add_line([sys,'/','Subsystem'],[765,465;780,465])
add_line([sys,'/','Subsystem'],[815,465;855,465])
add_line([sys,'/','Subsystem'],[910,430;960,430])
add_line([sys,'/','Subsystem'],[910,465;960,465])
add_line([sys,'/','Subsystem'],[910,500;960,500])
add_line([sys,'/','Subsystem'],[945,430;945,400;1110,400])
add_line([sys,'/','Subsystem'],[943,465;945,450;1110,450])
add_line([sys,'/','Subsystem'],[945,500;945,515;1110,515])
add_line([sys,'/','Subsystem'],[930,535;930,570;1110,570])
add_line([sys,'/','Subsystem'],[525,380;550,380;550,210;605,210])
add_line([sys,'/','Subsystem'],[660,175;710,175])
add_line([sys,'/','Subsystem'],[660,210;710,210])
add_line([sys,'/','Subsystem'],[660,245;710,245])
add_line([sys,'/','Subsystem'],[550,210;455,210])
add_line([sys,'/','Subsystem'],[1045,750;1070,750])
add_line([sys,'/','Subsystem'],[920,640;920,750;955,750])
add_line([sys,'/','Subsystem'],[805,380;815,380])
add_line([sys,'/','Subsystem'],[660,380;715,380])
set_param([sys,'/','Subsystem'],...
		'Mask Display','SORTIE DES ANGLES\n\nEN DEGRES & ENERGIE')


%     Finished composite block 'Subsystem'.

set_param([sys,'/','Subsystem'],...
		'hide name',0,...
		'position',[830,275,1065,350])

add_block('built-in/Note',[sys,'/',['SIMULATION regacqGP drive de regderB7 et de regderb6.m )  Intgration initialise par initpqrQ.mat',13,'']])
set_param([sys,'/',['SIMULATION regacqGP drive de regderB7 et de regderb6.m )  Intgration initialise par initpqrQ.mat',13,'']],...
		'ForeGround',3,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',18)
set_param([sys,'/',['SIMULATION regacqGP drive de regderB7 et de regderb6.m )  Intgration initialise par initpqrQ.mat',13,'']],...
		'position',[660,65,665,70])

add_block('built-in/Note',[sys,'/',['UTILISATION DU QUATERNION D''ATTITUDE',13,'Avec champ magntique puls ',13,'']])
set_param([sys,'/',['UTILISATION DU QUATERNION D''ATTITUDE',13,'Avec champ magntique puls ',13,'']],...
		'ForeGround',5,...
		'Font Name','Arial',...
		'Font Weight','bold',...
		'Font Size',22,...
		'position',[605,105,610,110])

add_block('built-in/Mux',[sys,'/','Mux'])
set_param([sys,'/','Mux'],...
		'hide name',0,...
		'inputs','[3 4]',...
		'position',[510,219,570,506])

add_block('built-in/Integrator',[sys,'/','Integrator'])
set_param([sys,'/','Integrator'],...
		'hide name',0,...
		'Initial','[-0.0024 0.0040 -0.0029 0.2908 -0.4166 0.8205 0.2620]',...
		'position',[640,339,740,391])
add_line(sys,[745,365;765,365;765,520;55,520;55,435;135,435])
add_line(sys,[575,365;635,365])
add_line(sys,[375,290;505,290])
add_line(sys,[360,435;505,435])
add_line(sys,[765,365;765,295;825,295])
add_line(sys,[55,435;55,290;140,290])
add_line(sys,[595,365;595,330;825,330])

drawnow

% Return any arguments.
if (nargin | nargout)
	% Must use feval here to access system in memory
	if (nargin > 3)
		if (flag == 0)
			eval(['[ret,x0,str,ts,xts]=',sys,'(t,x,u,flag);'])
		else
			eval(['ret =', sys,'(t,x,u,flag);'])
		end
	else
		[ret,x0,str,ts,xts] = feval(sys);
	end
else
	drawnow % Flash up the model and execute load callback
end
